Triggered by Gerrit: https://git.eclipse.org/r/c/mylyn/org.eclipse.mylyn.versions/+/166478 Running as SYSTEM Building in workspace /home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace No credentials specified > /usr/local/bin/git rev-parse --is-inside-work-tree # timeout=10 Fetching changes from the remote Git repository > /usr/local/bin/git config remote.origin.url git://git.eclipse.org/gitroot/mylyn/org.eclipse.mylyn.versions # timeout=10 Fetching upstream changes from git://git.eclipse.org/gitroot/mylyn/org.eclipse.mylyn.versions > /usr/local/bin/git --version # timeout=10 > /usr/local/bin/git fetch --tags --progress -- git://git.eclipse.org/gitroot/mylyn/org.eclipse.mylyn.versions refs/changes/78/166478/1 # timeout=10 > /usr/local/bin/git rev-parse c74223bf5409af083b95dd7443abb6fcaad7337e^{commit} # timeout=10 Checking out Revision c74223bf5409af083b95dd7443abb6fcaad7337e (refs/changes/78/166478/1) > /usr/local/bin/git config core.sparsecheckout # timeout=10 > /usr/local/bin/git checkout -f c74223bf5409af083b95dd7443abb6fcaad7337e # timeout=10 Commit message: "563754: replace http://subclipse.tigris.org with https://dl.bintray.com/subclipse/archive/release/" > /usr/local/bin/git rev-parse FETCH_HEAD^{commit} # timeout=10 > /usr/local/bin/git rev-list --no-walk 1ed85d58f4aea6cc04d45c2b4ac434d00dfe161b # timeout=10 Starting xvnc [workspace] $ Xvnc :1653 -geometry 1024x768 -depth 24 -ac -SecurityTypes none -noreset [workspace] $ /bin/bash /tmp/genie.mylyn/jenkins2027039836693348542.sh Xvnc TigerVNC 1.4.1 - built ??? ?? ???? ??:??:?? Copyright (C) 1999-2013 TigerVNC Team and many others (see README.txt) See http://www.tigervnc.org for information on TigerVNC. Underlying X server release 11502000, The X.Org Foundation Initializing built-in extension VNC-EXTENSION Initializing built-in extension Generic Event Extension Initializing built-in extension SHAPE Initializing built-in extension MIT-SHM Initializing built-in extension XInputExtension Initializing built-in extension XTEST Initializing built-in extension BIG-REQUESTS Initializing built-in extension SYNC Initializing built-in extension XKEYBOARD Initializing built-in extension XC-MISC Initializing built-in extension XFIXES Initializing built-in extension RENDER Initializing built-in extension RANDR Initializing built-in extension COMPOSITE Initializing built-in extension DAMAGE Initializing built-in extension MIT-SCREEN-SAVER Initializing built-in extension DOUBLE-BUFFER Initializing built-in extension RECORD Initializing built-in extension DPMS Initializing built-in extension Present Initializing built-in extension X-Resource Initializing built-in extension XVideo Initializing built-in extension XVideo-MotionCompensation Initializing built-in extension GLX Sun Jul 19 07:31:01 2020 vncext: VNC extension running! vncext: Listening for VNC connections on all interface(s), port 7553 vncext: created VNC server for screen 0 [dix] Could not init font path element /usr/share/fonts/TTF/, removing from list! [dix] Could not init font path element /usr/share/fonts/OTF/, removing from list! Gerrit build started by eclipse@frank-becker.de [workspace] $ /bin/sh -xe /tmp/genie.mylyn/jenkins1784679486000575014.sh + find -type d -name target -print0 + xargs -0 rm -rf [workspace] $ /bin/sh -xe /tmp/genie.mylyn/jenkins743795762534904803.sh + set ANT_OPTS='-Xmx2G -Djava.io.tmpdir=/tmp/genie.mylyn -DforkCount=1' BASH=/bin/sh BASHOPTS=checkwinsize:cmdhist:extquote:force_fignore:hostcomplete:interactive_comments:progcomp:promptvars:sourcepath BASH_ALIASES=() BASH_ARGC=() BASH_ARGV=() BASH_CMDS=() BASH_LINENO=([0]="0") BASH_SOURCE=([0]="/tmp/genie.mylyn/jenkins743795762534904803.sh") BASH_VERSINFO=([0]="4" [1]="2" [2]="47" [3]="1" [4]="release" [5]="x86_64-suse-linux-gnu") BASH_VERSION='4.2.47(1)-release' BUILD_DISPLAY_NAME='#76' BUILD_ID=76 BUILD_NUMBER=76 BUILD_TAG=jenkins-gerrit-mylyn-versions-76 BUILD_URL=https://ci.eclipse.org/mylyn/job/gerrit-mylyn-versions/76/ DIRSTACK=() DISPLAY=:1653 EUID=10095 EXECUTOR_NUMBER=0 GERRIT_BRANCH=master GERRIT_CHANGE_COMMIT_MESSAGE=NTYzNzU0OiByZXBsYWNlIGh0dHA6Ly9zdWJjbGlwc2UudGlncmlzLm9yZyB3aXRoCmh0dHBzOi8vZGwuYmludHJheS5jb20vc3ViY2xpcHNlL2FyY2hpdmUvcmVsZWFzZS8KCkNoYW5nZS1JZDogSTA1YmM3ZDEwMTAwNTA1MjZkYjY1NmVjNDc1NWE4OTg2MTQ1ZTY5MDQKVGFzay1Vcmw6IGh0dHBzOi8vYnVncy5lY2xpcHNlLm9yZy9idWdzL3Nob3dfYnVnLmNnaT9pZD01NjM3NTQKU2lnbmVkLW9mZi1ieTogRnJhbmsgQmVja2VyIDxlY2xpcHNlQGZyYW5rLWJlY2tlci5kZT4= GERRIT_CHANGE_ID=I05bc7d1010050526db656ec4755a8986145e6904 GERRIT_CHANGE_NUMBER=166478 GERRIT_CHANGE_OWNER='\"Frank Becker\" <eclipse@frank-becker.de>' GERRIT_CHANGE_OWNER_EMAIL=eclipse@frank-becker.de GERRIT_CHANGE_OWNER_NAME='Frank Becker' GERRIT_CHANGE_PRIVATE_STATE=false GERRIT_CHANGE_SUBJECT='563754: replace http://subclipse.tigris.org with https://dl.bintray.com/subclipse/archive/release/' GERRIT_CHANGE_URL=https://git.eclipse.org/r/c/mylyn/org.eclipse.mylyn.versions/+/166478 GERRIT_CHANGE_WIP_STATE=false GERRIT_EVENT_ACCOUNT='\"Frank Becker\" <eclipse@frank-becker.de>' GERRIT_EVENT_ACCOUNT_EMAIL=eclipse@frank-becker.de GERRIT_EVENT_ACCOUNT_NAME='Frank Becker' GERRIT_EVENT_HASH=748640599 GERRIT_EVENT_TYPE=patchset-created GERRIT_HOST=gerrit-local GERRIT_NAME='Eclipse Gerrit' GERRIT_PATCHSET_NUMBER=1 GERRIT_PATCHSET_REVISION=c74223bf5409af083b95dd7443abb6fcaad7337e GERRIT_PATCHSET_UPLOADER='\"Frank Becker\" <eclipse@frank-becker.de>' GERRIT_PATCHSET_UPLOADER_EMAIL=eclipse@frank-becker.de GERRIT_PATCHSET_UPLOADER_NAME='Frank Becker' GERRIT_PORT=29418 GERRIT_PROJECT=mylyn/org.eclipse.mylyn.versions GERRIT_REFSPEC=refs/changes/78/166478/1 GERRIT_SCHEME=ssh GERRIT_VERSION=3.2.2 GIT_BRANCH=refs/changes/78/166478/1 GIT_COMMIT=c74223bf5409af083b95dd7443abb6fcaad7337e GIT_URL=git://git.eclipse.org/gitroot/mylyn/org.eclipse.mylyn.versions GROUPS=() HOME=/opt/public/hipp/homes/genie.mylyn HOSTNAME=hipp9 HOSTTYPE=x86_64 HUDSON_COOKIE=4c7b8038-ee4f-4f36-bf05-55f453c42483 HUDSON_HOME=/home/hudson/genie.mylyn/.jenkins HUDSON_SERVER_COOKIE=828f771f9d5cbb40 HUDSON_URL=https://ci.eclipse.org/mylyn/ IFS=' ' JAVA_HOME=/shared/common/jdk1.8.0_x64-latest JAVA_OPTS='-Xmx2G -Djava.io.tmpdir=/tmp/genie.mylyn -DforkCount=1' JAVA_TOOL_OPTIONS='-Xmx2G -Djava.io.tmpdir=/tmp/genie.mylyn -DforkCount=1' JENKINS_HOME=/home/hudson/genie.mylyn/.jenkins JENKINS_SERVER_COOKIE=828f771f9d5cbb40 JENKINS_URL=https://ci.eclipse.org/mylyn/ JOB_BASE_NAME=gerrit-mylyn-versions JOB_DISPLAY_URL=https://ci.eclipse.org/mylyn/job/gerrit-mylyn-versions/display/redirect JOB_NAME=gerrit-mylyn-versions JOB_URL=https://ci.eclipse.org/mylyn/job/gerrit-mylyn-versions/ LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 LC_CTYPE=en_US.UTF-8 LOGNAME=genie.mylyn MACHTYPE=x86_64-suse-linux-gnu MAVEN_OPTS='-Xmx2G -Djava.io.tmpdir=/tmp/genie.mylyn -DforkCount=1' NODE_LABELS=master NODE_NAME=master OPTERR=1 OPTIND=1 OSTYPE=linux-gnu PATH=/shared/common/jdk1.8.0_x64-latest/bin:/shared/common/jdk1.8.0_x64-latest/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin POSIXLY_CORRECT=y PPID=19373 PS4='+ ' PWD=/jobs/genie.mylyn/gerrit-mylyn-versions/workspace RUN_CHANGES_DISPLAY_URL='https://ci.eclipse.org/mylyn/job/gerrit-mylyn-versions/76/display/redirect?page=changes' RUN_DISPLAY_URL=https://ci.eclipse.org/mylyn/job/gerrit-mylyn-versions/76/display/redirect SHELL=/usr/local/bin/hipp_shell SHELLOPTS=braceexpand:errexit:hashall:interactive-comments:posix:xtrace SHLVL=1 TERM=dumb UID=10095 USER=genie.mylyn WORKSPACE=/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace WORKSPACE_TMP=/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace@tmp XAUTHORITY=/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.Xauthority-6301283228969044482 _=/bin/sh + echo . + cat [workspace] $ /shared/common/apache-maven-latest/bin/mvn -f pom.xml -DGERRIT_BRANCH=master -DGERRIT_PATCHSET_REVISION=c74223bf5409af083b95dd7443abb6fcaad7337e -DGERRIT_HOST=gerrit-local -DGERRIT_CHANGE_OWNER_EMAIL=eclipse@frank-becker.de "-DGERRIT_EVENT_ACCOUNT_NAME=Frank Becker" -DGERRIT_CHANGE_URL=https://git.eclipse.org/r/c/mylyn/org.eclipse.mylyn.versions/+/166478 -DGERRIT_PATCHSET_UPLOADER_EMAIL=eclipse@frank-becker.de -DGERRIT_EVENT_TYPE=patchset-created -DGERRIT_PROJECT=mylyn/org.eclipse.mylyn.versions -DGERRIT_CHANGE_NUMBER=166478 -DGERRIT_SCHEME=ssh '-DGERRIT_PATCHSET_UPLOADER=\"Frank Becker\" <eclipse@frank-becker.de>' -DGERRIT_PORT=29418 -DGERRIT_CHANGE_PRIVATE_STATE=false -DGERRIT_REFSPEC=refs/changes/78/166478/1 "-DGERRIT_PATCHSET_UPLOADER_NAME=Frank Becker" '-DGERRIT_CHANGE_OWNER=\"Frank Becker\" <eclipse@frank-becker.de>' -DGERRIT_CHANGE_COMMIT_MESSAGE=NTYzNzU0OiByZXBsYWNlIGh0dHA6Ly9zdWJjbGlwc2UudGlncmlzLm9yZyB3aXRoCmh0dHBzOi8vZGwuYmludHJheS5jb20vc3ViY2xpcHNlL2FyY2hpdmUvcmVsZWFzZS8KCkNoYW5nZS1JZDogSTA1YmM3ZDEwMTAwNTA1MjZkYjY1NmVjNDc1NWE4OTg2MTQ1ZTY5MDQKVGFzay1Vcmw6IGh0dHBzOi8vYnVncy5lY2xpcHNlLm9yZy9idWdzL3Nob3dfYnVnLmNnaT9pZD01NjM3NTQKU2lnbmVkLW9mZi1ieTogRnJhbmsgQmVja2VyIDxlY2xpcHNlQGZyYW5rLWJlY2tlci5kZT4= "-DGERRIT_NAME=Eclipse Gerrit" -DGERRIT_TOPIC= "-DGERRIT_CHANGE_SUBJECT=563754: replace http://subclipse.tigris.org with https://dl.bintray.com/subclipse/archive/release/" '-DGERRIT_EVENT_ACCOUNT=\"Frank Becker\" <eclipse@frank-becker.de>' -DGERRIT_CHANGE_WIP_STATE=false -DGERRIT_CHANGE_ID=I05bc7d1010050526db656ec4755a8986145e6904 -DGERRIT_EVENT_HASH=748640599 -DGERRIT_VERSION=3.2.2 -DGERRIT_EVENT_ACCOUNT_EMAIL=eclipse@frank-becker.de -DGERRIT_PATCHSET_NUMBER=1 "-DGERRIT_CHANGE_OWNER_NAME=Frank Becker" -Dmylyn-credentials=/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.credentials.properties -Dtest.keyring.password=/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.secret -Dmaven.repo.local=/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository -U -B clean verify -Psandbox.eclipse.org Picked up JAVA_TOOL_OPTIONS: -Xmx2G -Djava.io.tmpdir=/tmp/genie.mylyn -DforkCount=1 [INFO] Scanning for projects... [INFO] Downloading from mylyn-snapshots: https://repo.eclipse.org/content/repositories/mylyn-snapshots/org/eclipse/mylyn/org.eclipse.mylyn-parent/3.26.0-SNAPSHOT/maven-metadata.xml [INFO] Downloading from mylyn-releases: https://repo.eclipse.org/content/repositories/mylyn-releases/org/eclipse/mylyn/org.eclipse.mylyn-parent/3.26.0-SNAPSHOT/maven-metadata.xml [INFO] Downloaded from mylyn-snapshots: https://repo.eclipse.org/content/repositories/mylyn-snapshots/org/eclipse/mylyn/org.eclipse.mylyn-parent/3.26.0-SNAPSHOT/maven-metadata.xml (622 B at 118 B/s) [WARNING] Could not transfer metadata org.eclipse.mylyn:org.eclipse.mylyn-parent:3.26.0-SNAPSHOT/maven-metadata.xml from/to eclipse-mylyn-commons (${mylyn-commons-repository-url}): Cannot access ${mylyn-commons-repository-url} with type p2 using the available connector factories: BasicRepositoryConnectorFactory [WARNING] Could not transfer metadata org.eclipse.mylyn:org.eclipse.mylyn-parent:3.26.0-SNAPSHOT/maven-metadata.xml from/to subclipse (https://dl.bintray.com/subclipse/archive/release/1.8.x/): Cannot access https://dl.bintray.com/subclipse/archive/release/1.8.x/ with type p2 using the available connector factories: BasicRepositoryConnectorFactory [WARNING] Could not transfer metadata org.eclipse.mylyn:org.eclipse.mylyn-parent:3.26.0-SNAPSHOT/maven-metadata.xml from/to cbi-license (http://download.eclipse.org/cbi/updates/license/): Cannot access http://download.eclipse.org/cbi/updates/license/ with type p2 using the available connector factories: BasicRepositoryConnectorFactory [INFO] Downloading from mylyn-snapshots: https://repo.eclipse.org/content/repositories/mylyn-snapshots/org/eclipse/mylyn/org.eclipse.mylyn-parent/3.26.0-SNAPSHOT/org.eclipse.mylyn-parent-3.26.0-20200627.000024-11.pom [INFO] Downloaded from mylyn-snapshots: https://repo.eclipse.org/content/repositories/mylyn-snapshots/org/eclipse/mylyn/org.eclipse.mylyn-parent/3.26.0-SNAPSHOT/org.eclipse.mylyn-parent-3.26.0-20200627.000024-11.pom (30 kB at 16 kB/s) [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.cvs:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs-feature/pom.xml [INFO] Adding repository http://download.eclipse.org/mylyn/snapshots/nightly/commons [INFO] Adding repository https://dl.bintray.com/subclipse/archive/release/1.8.x [INFO] Fetching p2.index from http://download.eclipse.org/cbi/updates/license/ [INFO] Adding repository http://download.eclipse.org/cbi/updates/license [INFO] Fetching p2.index from http://download.eclipse.org/cbi/updates/license/2.0.2.v20181016-2210/ [INFO] Fetching p2.index from http://download.eclipse.org/cbi/updates/license/2.0.2.v20181016-2210/ [INFO] Fetching p2.index from http://download.eclipse.org/releases/2019-12/ [INFO] Fetching p2.index from http://download.eclipse.org/releases/2019-12/ [INFO] Adding repository http://download.eclipse.org/releases/2019-12 [INFO] Fetching compositeContent.jar from http://download.eclipse.org/releases/2019-12/ (482B) [INFO] Fetching compositeContent.jar from http://download.eclipse.org/releases/2019-12/ (482B) [INFO] Fetching p2.index from http://download.eclipse.org/technology/epp/packages/2019-12/ [INFO] Fetching p2.index from http://download.eclipse.org/technology/epp/packages/2019-12/ [INFO] Fetching content.xml.xz from http://download.eclipse.org/technology/epp/packages/2019-12/ [INFO] Fetching content.xml.xz from http://download.eclipse.org/technology/epp/packages/2019-12/ [INFO] Fetching p2.index from http://download.eclipse.org/releases/2019-12/201912181000/ [INFO] Fetching content.xml.xz from http://download.eclipse.org/releases/2019-12/201912181000/ [INFO] Fetching content.xml.xz from http://download.eclipse.org/releases/2019-12/201912181000/ [INFO] Fetching p2.index from http://download.eclipse.org/egit/updates-1.3/ [INFO] Fetching p2.index from http://download.eclipse.org/egit/updates-1.3/ [INFO] Adding repository http://download.eclipse.org/egit/updates-1.3 [INFO] Fetching p2.index from http://download.eclipse.org/tools/orbit/downloads/drops/R20180905201904/repository/ [INFO] Fetching p2.index from http://download.eclipse.org/tools/orbit/downloads/drops/R20180905201904/repository/ [INFO] Adding repository http://download.eclipse.org/tools/orbit/downloads/drops/R20180905201904/repository [INFO] Fetching p2.index from http://download.eclipse.org/tools/orbit/downloads/drops2/R20180905201904/repository/ [INFO] Fetching p2.index from http://download.eclipse.org/tools/orbit/downloads/drops2/R20180905201904/repository/ [INFO] Adding repository http://download.eclipse.org/mylyn/snapshots/jdt-annotation [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.cvs:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs-feature/pom.xml [INFO] Fetching 201912181000&countryCode=us&timeZone=-5&format=xml from http://www.eclipse.org/downloads/download.php?format=xml&file=/releases/2019-12/ [INFO] Fetching com.ibm.icu_64.2.0.v20190507-1337.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (9.5MB) [INFO] Fetching com.ibm.icu_64.2.0.v20190507-1337.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (9.5MB) [INFO] Fetching com.jcraft.jsch_0.1.55.v20190404-1902.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (107.05kB) [INFO] Fetching com.jcraft.jsch_0.1.55.v20190404-1902.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (107.05kB) [INFO] Fetching org.eclipse.osgi_3.15.100.v20191114-1701.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (458.65kB) [INFO] Fetching org.eclipse.osgi_3.15.100.v20191114-1701.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (458.65kB) [INFO] Fetching org.apache.batik.constants_1.11.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (13.03kB) [INFO] Fetching org.apache.batik.constants_1.11.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (13.03kB) [INFO] Fetching org.apache.xmlgraphics_2.3.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (258.72kB) [INFO] Fetching org.apache.xmlgraphics_2.3.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (258.72kB) [INFO] Fetching org.apache.batik.util_1.11.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (63.49kB) [INFO] Fetching org.apache.batik.util_1.11.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (63.49kB) [INFO] Fetching org.apache.batik.i18n_1.11.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (14.52kB) [INFO] Fetching org.apache.batik.i18n_1.11.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (14.52kB) [INFO] Fetching org.apache.batik.css_1.11.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (101.68kB) [INFO] Fetching org.apache.batik.css_1.11.0.v20190515-0436.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (101.68kB) [INFO] Fetching org.eclipse.osgi.services_3.8.0.v20190206-2147.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (44.03kB) [INFO] Fetching org.eclipse.osgi.services_3.8.0.v20190206-2147.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (44.03kB) [INFO] Fetching org.eclipse.osgi.util_3.5.300.v20190708-1141.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (30.65kB) [INFO] Fetching org.eclipse.osgi.util_3.5.300.v20190708-1141.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (30.65kB) [INFO] Fetching org.apache.felix.scr_2.1.14.v20190123-1619.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (154.23kB) [INFO] Fetching org.apache.felix.scr_2.1.14.v20190123-1619.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (154.23kB) [INFO] Fetching org.eclipse.compare_3.7.800.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (304.82kB) [INFO] Fetching org.eclipse.compare_3.7.800.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (304.82kB) [INFO] Fetching org.eclipse.ui_3.115.0.v20191127-1056.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (364.34kB) [INFO] Fetching org.eclipse.ui_3.115.0.v20191127-1056.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (364.34kB) [INFO] Fetching org.eclipse.core.resources_3.13.600.v20191122-2104.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (873.23kB) [INFO] Fetching org.eclipse.core.resources_3.13.600.v20191122-2104.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (873.23kB) [INFO] Fetching org.eclipse.jface.text_3.16.100.v20191203-1634.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (319.42kB) [INFO] Fetching org.eclipse.jface.text_3.16.100.v20191203-1634.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (319.42kB) [INFO] Fetching org.eclipse.ui.ide_3.16.100.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (962.29kB) [INFO] Fetching org.eclipse.ui.ide_3.16.100.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (962.29kB) [INFO] Fetching org.eclipse.ui.views_3.10.100.v20191114-0830.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (48.42kB) [INFO] Fetching org.eclipse.ui.views_3.10.100.v20191114-0830.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (48.42kB) [INFO] Fetching org.eclipse.ui.workbench.texteditor_3.14.0.v20191122-2108.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (234.26kB) [INFO] Fetching org.eclipse.ui.workbench.texteditor_3.14.0.v20191122-2108.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (234.26kB) [INFO] Fetching org.eclipse.core.runtime_3.17.0.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (33.74kB) [INFO] Fetching org.eclipse.core.runtime_3.17.0.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (33.74kB) [INFO] Fetching org.eclipse.core.expressions_3.6.600.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (33.81kB) [INFO] Fetching org.eclipse.core.expressions_3.6.600.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (33.81kB) [INFO] Fetching org.eclipse.ui.editors_3.13.0.v20191203-1122.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (204.63kB) [INFO] Fetching org.eclipse.ui.editors_3.13.0.v20191203-1122.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (204.63kB) [INFO] Fetching org.eclipse.ui.forms_3.8.200.v20191114-0830.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (123.32kB) [INFO] Fetching org.eclipse.ui.forms_3.8.200.v20191114-0830.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (123.32kB) [INFO] Fetching org.eclipse.compare.core_3.6.700.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (33.06kB) [INFO] Fetching org.eclipse.compare.core_3.6.700.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (33.06kB) [INFO] Fetching org.eclipse.core.commands_3.9.600.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (42.96kB) [INFO] Fetching org.eclipse.core.commands_3.9.600.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (42.96kB) [INFO] Fetching org.eclipse.equinox.common_3.10.600.v20191004-1420.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (52.5kB) [INFO] Fetching org.eclipse.equinox.common_3.10.600.v20191004-1420.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (52.5kB) [INFO] Fetching org.eclipse.core.contenttype_3.7.500.v20190916-2125.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (41.62kB) [INFO] Fetching org.eclipse.core.contenttype_3.7.500.v20190916-2125.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (41.62kB) [INFO] Fetching org.eclipse.equinox.preferences_3.7.600.v20191017-2055.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (54.22kB) [INFO] Fetching org.eclipse.equinox.preferences_3.7.600.v20191017-2055.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (54.22kB) [INFO] Fetching org.eclipse.equinox.registry_3.8.600.v20191017-2055.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (76.89kB) [INFO] Fetching org.eclipse.equinox.registry_3.8.600.v20191017-2055.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (76.89kB) [INFO] Fetching org.eclipse.core.databinding_1.7.700.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (55.83kB) [INFO] Fetching org.eclipse.core.databinding_1.7.700.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (55.83kB) [INFO] Fetching org.eclipse.core.databinding.observable_1.8.100.v20191118-0932.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (82.52kB) [INFO] Fetching org.eclipse.core.databinding.observable_1.8.100.v20191118-0932.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (82.52kB) [INFO] Fetching org.eclipse.core.databinding.property_1.7.200.v20191105-1311.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (44.79kB) [INFO] Fetching org.eclipse.core.databinding.property_1.7.200.v20191105-1311.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (44.79kB) [INFO] Fetching org.eclipse.core.filebuffers_3.6.800.v20191122-2108.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (41.95kB) [INFO] Fetching org.eclipse.core.filebuffers_3.6.800.v20191122-2108.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (41.95kB) [INFO] Fetching org.eclipse.text_3.10.0.v20191122-2108.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (100.78kB) [INFO] Fetching org.eclipse.text_3.10.0.v20191122-2108.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (100.78kB) [INFO] Fetching org.eclipse.core.filesystem_1.7.600.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (27.8kB) [INFO] Fetching org.eclipse.core.filesystem_1.7.600.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (27.8kB) [INFO] Fetching org.eclipse.core.jobs_3.10.600.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (46.12kB) [INFO] Fetching org.eclipse.core.jobs_3.10.600.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (46.12kB) [INFO] Fetching org.eclipse.core.net_1.3.700.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (33.77kB) [INFO] Fetching org.eclipse.core.net_1.3.700.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (33.77kB) [INFO] Fetching org.eclipse.equinox.security_1.3.400.v20191008-0645.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (44.58kB) [INFO] Fetching org.eclipse.equinox.security_1.3.400.v20191008-0645.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (44.58kB) [INFO] Fetching org.eclipse.equinox.app_1.4.300.v20190815-1535.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (42.16kB) [INFO] Fetching org.eclipse.equinox.app_1.4.300.v20190815-1535.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (42.16kB) [INFO] Fetching org.eclipse.e4.core.commands_0.12.800.v20190926-0808.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (13.78kB) [INFO] Fetching org.eclipse.e4.core.commands_0.12.800.v20190926-0808.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (13.78kB) [INFO] Fetching org.eclipse.e4.core.di_1.7.500.v20190916-2125.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (25.92kB) [INFO] Fetching org.eclipse.e4.core.di_1.7.500.v20190916-2125.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (25.92kB) [INFO] Fetching org.eclipse.e4.core.contexts_1.8.300.v20191017-1404.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (22.69kB) [INFO] Fetching org.eclipse.e4.core.contexts_1.8.300.v20191017-1404.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (22.69kB) [INFO] Fetching org.eclipse.e4.core.services_2.2.100.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (28.26kB) [INFO] Fetching org.eclipse.e4.core.services_2.2.100.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (28.26kB) [INFO] Fetching org.eclipse.e4.core.di.annotations_1.6.500.v20190925-0538.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (7.68kB) [INFO] Fetching org.eclipse.e4.core.di.annotations_1.6.500.v20190925-0538.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (7.68kB) [INFO] Fetching org.eclipse.e4.core.di.extensions_0.15.400.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (7.77kB) [INFO] Fetching org.eclipse.e4.core.di.extensions_0.15.400.v20191122-2104.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (7.77kB) [INFO] Fetching org.eclipse.e4.core.di.extensions.supplier_0.15.400.v20190709-0707.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (16.67kB) [INFO] Fetching org.eclipse.e4.core.di.extensions.supplier_0.15.400.v20190709-0707.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (16.67kB) [INFO] Fetching org.eclipse.e4.emf.xpath_0.2.500.v20191021-1408.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (21.81kB) [INFO] Fetching org.eclipse.e4.emf.xpath_0.2.500.v20191021-1408.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (21.81kB) [INFO] Fetching org.eclipse.emf.ecore_2.20.0.v20190920-0401.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (485.42kB) [INFO] Fetching org.eclipse.emf.ecore_2.20.0.v20190920-0401.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (485.42kB) [INFO] Fetching org.eclipse.e4.ui.bindings_0.12.700.v20191105-1310.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (22.97kB) [INFO] Fetching org.eclipse.e4.ui.bindings_0.12.700.v20191105-1310.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (22.97kB) [INFO] Fetching org.eclipse.swt_3.113.0.v20191204-0601.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (16.04kB) [INFO] Fetching org.eclipse.swt_3.113.0.v20191204-0601.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (16.04kB) [INFO] Fetching org.eclipse.jface_3.18.0.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (360.91kB) [INFO] Fetching org.eclipse.jface_3.18.0.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (360.91kB) [INFO] Fetching org.eclipse.e4.ui.css.core_0.12.900.v20191106-1716.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (64.89kB) [INFO] Fetching org.eclipse.e4.ui.css.core_0.12.900.v20191106-1716.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (64.89kB) [INFO] Fetching org.eclipse.e4.ui.css.swt_0.13.700.v20191113-1031.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (79.15kB) [INFO] Fetching org.eclipse.e4.ui.css.swt_0.13.700.v20191113-1031.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (79.15kB) [INFO] Fetching org.eclipse.e4.ui.css.swt.theme_0.12.500.v20191125-1011.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (17.02kB) [INFO] Fetching org.eclipse.e4.ui.css.swt.theme_0.12.500.v20191125-1011.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (17.02kB) [INFO] Fetching org.eclipse.e4.ui.di_1.2.700.v20191114-0830.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (9.82kB) [INFO] Fetching org.eclipse.e4.ui.di_1.2.700.v20191114-0830.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (9.82kB) [INFO] Fetching org.eclipse.e4.ui.dialogs_1.1.600.v20190814-0636.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (21.82kB) [INFO] Fetching org.eclipse.e4.ui.dialogs_1.1.600.v20190814-0636.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (21.82kB) [INFO] Fetching org.eclipse.e4.ui.model.workbench_2.1.600.v20191106-1503.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (111.15kB) [INFO] Fetching org.eclipse.e4.ui.model.workbench_2.1.600.v20191106-1503.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (111.15kB) [INFO] Fetching org.eclipse.e4.ui.services_1.3.700.v20190930-1643.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (13.16kB) [INFO] Fetching org.eclipse.e4.ui.services_1.3.700.v20190930-1643.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (13.16kB) [INFO] Fetching org.eclipse.equinox.event_1.5.300.v20191001-1333.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (16.7kB) [INFO] Fetching org.eclipse.equinox.event_1.5.300.v20191001-1333.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (16.7kB) [INFO] Fetching org.eclipse.e4.ui.widgets_1.2.600.v20190926-0808.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (9.46kB) [INFO] Fetching org.eclipse.e4.ui.widgets_1.2.600.v20190926-0808.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (9.46kB) [INFO] Fetching org.eclipse.e4.ui.workbench_1.11.0.v20191120-1917.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (85.9kB) [INFO] Fetching org.eclipse.e4.ui.workbench_1.11.0.v20191120-1917.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (85.9kB) [INFO] Fetching org.eclipse.emf.ecore.change_2.14.0.v20190528-0725.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (51.07kB) [INFO] Fetching org.eclipse.emf.ecore.change_2.14.0.v20190528-0725.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (51.07kB) [INFO] Fetching org.eclipse.emf.ecore.xmi_2.16.0.v20190528-0725.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (84.22kB) [INFO] Fetching org.eclipse.emf.ecore.xmi_2.16.0.v20190528-0725.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (84.22kB) [INFO] Fetching org.eclipse.e4.ui.workbench.addons.swt_1.3.700.v20191030-1314.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (49.92kB) [INFO] Fetching org.eclipse.e4.ui.workbench.addons.swt_1.3.700.v20191030-1314.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (49.92kB) [INFO] Fetching org.eclipse.e4.ui.workbench.renderers.swt_0.14.900.v20191114-0715.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (94.87kB) [INFO] Fetching org.eclipse.e4.ui.workbench.renderers.swt_0.14.900.v20191114-0715.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (94.87kB) [INFO] Fetching org.eclipse.e4.ui.workbench.swt_0.14.800.v20190930-1643.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (61.45kB) [INFO] Fetching org.eclipse.e4.ui.workbench.swt_0.14.800.v20190930-1643.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (61.45kB) [INFO] Fetching org.eclipse.jface.databinding_1.9.200.v20191113-1050.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (77.54kB) [INFO] Fetching org.eclipse.jface.databinding_1.9.200.v20191113-1050.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (77.54kB) [INFO] Fetching org.eclipse.e4.ui.workbench3_0.15.300.v20190926-0808.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (13.07kB) [INFO] Fetching org.eclipse.e4.ui.workbench3_0.15.300.v20190926-0808.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (13.07kB) [INFO] Fetching org.eclipse.emf.common_2.17.0.v20190920-0401.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (114.83kB) [INFO] Fetching org.eclipse.emf.common_2.17.0.v20190920-0401.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (114.83kB) [INFO] Fetching org.eclipse.equinox.bidi_1.2.200.v20191008-0718.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (23.94kB) [INFO] Fetching org.eclipse.equinox.bidi_1.2.200.v20191008-0718.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (23.94kB) [INFO] Fetching org.eclipse.equinox.p2.core_2.6.200.v20191014-1220.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (32.06kB) [INFO] Fetching org.eclipse.equinox.p2.core_2.6.200.v20191014-1220.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (32.06kB) [INFO] Fetching org.eclipse.equinox.p2.engine_2.6.500.v20191014-1645.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (74.72kB) [INFO] Fetching org.eclipse.equinox.p2.engine_2.6.500.v20191014-1645.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (74.72kB) [INFO] Fetching org.eclipse.equinox.p2.metadata_2.4.600.v20191002-0702.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (108.01kB) [INFO] Fetching org.eclipse.equinox.p2.metadata_2.4.600.v20191002-0702.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (108.01kB) [INFO] Fetching org.eclipse.equinox.p2.metadata.repository_1.3.300.v20191002-0702.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (50.95kB) [INFO] Fetching org.eclipse.equinox.p2.metadata.repository_1.3.300.v20191002-0702.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (50.95kB) [INFO] Fetching org.eclipse.equinox.p2.repository_2.4.600.v20191016-0510.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (55.47kB) [INFO] Fetching org.eclipse.equinox.p2.repository_2.4.600.v20191016-0510.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (55.47kB) [INFO] Fetching org.eclipse.help_3.8.600.v20191123-0656.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (125.97kB) [INFO] Fetching org.eclipse.help_3.8.600.v20191123-0656.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (125.97kB) [INFO] Fetching org.eclipse.jsch.core_1.3.700.v20190925-1021.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (20.78kB) [INFO] Fetching org.eclipse.jsch.core_1.3.700.v20190925-1021.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (20.78kB) [INFO] Fetching org.eclipse.ui.workbench_3.117.0.v20191126-1131.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1,004.33kB) [INFO] Fetching org.eclipse.ui.workbench_3.117.0.v20191126-1131.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1,004.33kB) Jul 19, 2020 7:31:53 AM org.apache.http.impl.execchain.RetryExec execute INFO: I/O exception (org.apache.http.NoHttpResponseException) caught when processing request to {}->http://download.eclipse.org:80: The target server failed to respond Jul 19, 2020 7:31:53 AM org.apache.http.impl.execchain.RetryExec execute INFO: Retrying request to {}->http://download.eclipse.org:80 [INFO] Fetching org.eclipse.team.core_3.8.800.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (127.12kB) [INFO] Fetching org.eclipse.team.core_3.8.800.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (127.12kB) [INFO] Fetching org.eclipse.team.cvs.core_3.4.800.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (183.11kB) [INFO] Fetching org.eclipse.team.cvs.core_3.4.800.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (183.11kB) [INFO] Fetching org.eclipse.team.ui_3.8.700.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (494.27kB) [INFO] Fetching org.eclipse.team.ui_3.8.700.v20191122-2107.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (494.27kB) [INFO] Fetching org.eclipse.swt.cocoa.macosx.x86_64_3.113.0.v20191204-0601.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (819.53kB) [INFO] Fetching org.eclipse.swt.cocoa.macosx.x86_64_3.113.0.v20191204-0601.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (819.53kB) [INFO] Fetching org.eclipse.ui.navigator_3.9.100.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (133.62kB) [INFO] Fetching org.eclipse.ui.navigator_3.9.100.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (133.62kB) [INFO] Fetching org.eclipse.swt.win32.win32.x86_64_3.113.0.v20191204-0601.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1.1MB) [INFO] Fetching org.eclipse.swt.win32.win32.x86_64_3.113.0.v20191204-0601.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1.1MB) [INFO] Fetching org.eclipse.swt.gtk.linux.x86_64_3.113.0.v20191204-0601.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1,008.75kB) [INFO] Fetching org.eclipse.swt.gtk.linux.x86_64_3.113.0.v20191204-0601.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1,008.75kB) [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.cvs:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs-feature/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.cvs.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.cvs.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/pom.xml [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.cvs.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.git:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git-feature/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.git:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git-feature/pom.xml [INFO] Fetching net.i2p.crypto.eddsa_0.3.0.v20181102-1323.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (42.41kB) [INFO] Fetching net.i2p.crypto.eddsa_0.3.0.v20181102-1323.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (42.41kB) [INFO] Fetching org.apache.ant_1.10.7.v20190926-0324.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (2.83MB) [INFO] Fetching org.apache.ant_1.10.7.v20190926-0324.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (2.83MB) [INFO] Fetching org.apache.commons.compress_1.18.0.v20181121-2221.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (207.48kB) [INFO] Fetching org.apache.commons.compress_1.18.0.v20181121-2221.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (207.48kB) [INFO] Fetching org.apache.httpcomponents.httpcore_4.4.10.v20190123-2214.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (108.91kB) [INFO] Fetching org.apache.httpcomponents.httpcore_4.4.10.v20190123-2214.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (108.91kB) [INFO] Fetching org.apache.httpcomponents.httpclient_4.5.6.v20190503-0009.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (329.69kB) [INFO] Fetching org.apache.httpcomponents.httpclient_4.5.6.v20190503-0009.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (329.69kB) [INFO] Fetching org.apache.sshd.osgi_2.2.0.v20190425-2127.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (442.99kB) [INFO] Fetching org.apache.sshd.osgi_2.2.0.v20190425-2127.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (442.99kB) [INFO] Fetching org.apache.sshd.sftp_2.2.0.v20190425-2127.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (112.77kB) [INFO] Fetching org.apache.sshd.sftp_2.2.0.v20190425-2127.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (112.77kB) [INFO] Fetching org.bouncycastle.bcpg_1.64.0.v20191109-0815.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (93.57kB) [INFO] Fetching org.bouncycastle.bcpg_1.64.0.v20191109-0815.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (93.57kB) [INFO] Fetching org.bouncycastle.bcprov_1.64.0.v20191109-0815.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1.33MB) [INFO] Fetching org.bouncycastle.bcprov_1.64.0.v20191109-0815.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1.33MB) Jul 19, 2020 7:32:04 AM org.apache.http.impl.execchain.RetryExec execute INFO: I/O exception (org.apache.http.NoHttpResponseException) caught when processing request to {}->http://download.eclipse.org:80: The target server failed to respond Jul 19, 2020 7:32:04 AM org.apache.http.impl.execchain.RetryExec execute INFO: Retrying request to {}->http://download.eclipse.org:80 [INFO] Fetching org.bouncycastle.bcpkix_1.64.0.v20191109-0815.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (195.81kB) [INFO] Fetching org.bouncycastle.bcpkix_1.64.0.v20191109-0815.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (195.81kB) [INFO] Fetching org.eclipse.core.variables_3.4.700.v20191114-1848.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (18.05kB) [INFO] Fetching org.eclipse.core.variables_3.4.700.v20191114-1848.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (18.05kB) [INFO] Fetching org.eclipse.egit.core_5.6.0.201912101111-r.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (168.24kB) [INFO] Fetching org.eclipse.egit.core_5.6.0.201912101111-r.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (168.24kB) [INFO] Fetching org.eclipse.jgit_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (2.7MB) [INFO] Fetching org.eclipse.jgit_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (2.7MB) [INFO] Fetching org.eclipse.jgit.http.apache_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (21.35kB) [INFO] Fetching org.eclipse.jgit.http.apache_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (21.35kB) [INFO] Fetching org.eclipse.jgit.ssh.apache_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (156.58kB) [INFO] Fetching org.eclipse.jgit.ssh.apache_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (156.58kB) [INFO] Fetching org.eclipse.jsch.ui_1.3.700.v20191105-0922.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (34.58kB) [INFO] Fetching org.eclipse.jsch.ui_1.3.700.v20191105-0922.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (34.58kB) [INFO] Fetching org.eclipse.egit.ui_5.6.0.201912101111-r.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1.13MB) [INFO] Fetching org.eclipse.egit.ui_5.6.0.201912101111-r.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (1.13MB) [INFO] Fetching org.eclipse.egit_5.6.0.201912101111-r.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (9.56kB) [INFO] Fetching org.eclipse.egit_5.6.0.201912101111-r.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (9.56kB) [INFO] Fetching org.eclipse.egit.doc_5.6.0.201912101111-r.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (4.59MB) [INFO] Fetching org.eclipse.egit.doc_5.6.0.201912101111-r.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (4.59MB) [INFO] Fetching org.eclipse.egit_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/features/ (19.11kB) [INFO] Fetching org.eclipse.egit_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/features/ (19.11kB) [INFO] Fetching org.eclipse.jgit.archive_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (25.24kB) [INFO] Fetching org.eclipse.jgit.archive_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (25.24kB) [INFO] Fetching org.eclipse.jgit_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/features/ (14.63kB) [INFO] Fetching org.eclipse.jgit_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/features/ (14.63kB) [INFO] Fetching org.eclipse.jgit.http.apache_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/features/ (14.45kB) [INFO] Fetching org.eclipse.jgit.http.apache_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/features/ (14.45kB) [INFO] Fetching org.eclipse.jgit.ssh.apache_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/features/ (14.44kB) [INFO] Fetching org.eclipse.jgit.ssh.apache_5.6.0.201912101111-r.jar from http://download.eclipse.org/releases/2019-12/201912181000/features/ (14.44kB) [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.git:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git-feature/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.git.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.git.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/pom.xml [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.git.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.git.ui:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.git.ui:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/pom.xml [INFO] Fetching org.eclipse.egit.core_1.3.0.201202151440-r.jar.pack.gz from http://archive.eclipse.org/egit/updates-1.3/plugins/ (86.16kB) [INFO] Fetching org.eclipse.egit.core_1.3.0.201202151440-r.jar.pack.gz from http://archive.eclipse.org/egit/updates-1.3/plugins/ (86.16kB) [INFO] Fetching org.eclipse.jgit_1.3.0.201202151440-r.jar.pack.gz from http://archive.eclipse.org/egit/updates-1.3/plugins/ (483.79kB) [INFO] Fetching org.eclipse.jgit_1.3.0.201202151440-r.jar.pack.gz from http://archive.eclipse.org/egit/updates-1.3/plugins/ (483.79kB) [INFO] Fetching org.eclipse.egit.ui_1.3.0.201202151440-r.jar.pack.gz from http://archive.eclipse.org/egit/updates-1.3/plugins/ (596.41kB) [INFO] Fetching org.eclipse.egit.ui_1.3.0.201202151440-r.jar.pack.gz from http://archive.eclipse.org/egit/updates-1.3/plugins/ (596.41kB) [INFO] Fetching org.eclipse.search_3.11.800.v20191122-2108.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (216.5kB) [INFO] Fetching org.eclipse.search_3.11.800.v20191122-2108.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (216.5kB) [INFO] Fetching org.eclipse.ltk.core.refactoring_3.10.300.v20191104-1954.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (107.92kB) [INFO] Fetching org.eclipse.ltk.core.refactoring_3.10.300.v20191104-1954.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (107.92kB) [INFO] Fetching org.eclipse.ltk.ui.refactoring_3.10.100.v20191113-0119.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (182.08kB) [INFO] Fetching org.eclipse.ltk.ui.refactoring_3.10.100.v20191113-0119.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (182.08kB) [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.git.ui:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse-feature/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse-feature/pom.xml Jul 19, 2020 7:32:13 AM org.apache.http.impl.execchain.RetryExec execute INFO: I/O exception (org.apache.http.NoHttpResponseException) caught when processing request to {}->http://download.eclipse.org:80: The target server failed to respond Jul 19, 2020 7:32:13 AM org.apache.http.impl.execchain.RetryExec execute INFO: Retrying request to {}->http://download.eclipse.org:80 [INFO] Fetching org.apache.commons.io_2.6.0.v20190123-2029.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (82.7kB) [INFO] Fetching org.apache.commons.io_2.6.0.v20190123-2029.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (82.7kB) [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse-feature/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/pom.xml [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse.ui:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse.ui:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/pom.xml [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse.ui:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions-site:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-site/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions-site:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-site/pom.xml [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions-site:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-site/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-feature/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-feature/pom.xml [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-feature/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/pom.xml [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.core:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.development:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.development-feature/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.development:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.development-feature/pom.xml [INFO] Fetching org.eclipse.ui.browser_3.6.600.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (97.35kB) [INFO] Fetching org.eclipse.ui.browser_3.6.600.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (97.35kB) [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.development:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.development-feature/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.sdk:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.sdk-feature/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.sdk:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.sdk-feature/pom.xml [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.sdk:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.sdk-feature/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.tests:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.tests:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/pom.xml [INFO] Fetching org.eclipse.equinox.launcher_1.5.600.v20191014-2022.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (29.94kB) [INFO] Fetching org.eclipse.equinox.launcher_1.5.600.v20191014-2022.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (29.94kB) [INFO] Fetching org.eclipse.ui.ide.application_1.3.500.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (55.35kB) [INFO] Fetching org.eclipse.ui.ide.application_1.3.500.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (55.35kB) [INFO] Fetching org.eclipse.ui.navigator.resources_3.7.100.v20191209-1336.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (71.13kB) [INFO] Fetching org.eclipse.ui.navigator.resources_3.7.100.v20191209-1336.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (71.13kB) [INFO] Fetching org.eclipse.urischeme_1.0.500.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (21.45kB) [INFO] Fetching org.eclipse.urischeme_1.0.500.v20191122-2109.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (21.45kB) [INFO] Fetching org.eclipse.ui.views.properties.tabbed_3.8.700.v20191113-0939.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (40.96kB) [INFO] Fetching org.eclipse.ui.views.properties.tabbed_3.8.700.v20191113-0939.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (40.96kB) [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.tests:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/pom.xml [INFO] Computing target platform for MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.ui:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/pom.xml [INFO] Resolving dependencies of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.ui:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/pom.xml [INFO] Resolving class path of MavenProject: org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.ui:1.18.0-SNAPSHOT @ /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/pom.xml [INFO] ------------------------------------------------------------------------ [INFO] Reactor Build Order: [INFO] [INFO] Mylyn Versions [pom] [INFO] org.eclipse.mylyn.versions.core [eclipse-plugin] [INFO] org.eclipse.mylyn.cvs.core [eclipse-plugin] [INFO] org.eclipse.mylyn.versions.ui [eclipse-plugin] [INFO] org.eclipse.mylyn.versions [eclipse-feature] [INFO] org.eclipse.mylyn.cvs [eclipse-feature] [INFO] org.eclipse.mylyn.git.core [eclipse-plugin] [INFO] org.eclipse.mylyn.git.ui [eclipse-plugin] [INFO] org.eclipse.mylyn.git [eclipse-feature] [INFO] org.eclipse.mylyn.subclipse.core [eclipse-plugin] [INFO] org.eclipse.mylyn.subclipse.ui [eclipse-plugin] [INFO] org.eclipse.mylyn.subclipse [eclipse-feature] [INFO] org.eclipse.mylyn.versions.sdk [eclipse-feature] [INFO] Mylyn Versions [eclipse-update-site] [INFO] org.eclipse.mylyn.versions.tests [eclipse-test-plugin] [INFO] org.eclipse.mylyn.versions.development [eclipse-feature] [INFO] [INFO] ----< org.eclipse.mylyn.versions:org.eclipse.mylyn.versions-parent >---- [INFO] Building Mylyn Versions 1.18.0-SNAPSHOT [1/16] [INFO] --------------------------------[ pom ]--------------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.versions-parent --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.versions-parent --- [INFO] Skipping JaCoCo for project with packaging type 'pom' [INFO] [INFO] -----< org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.core >----- [INFO] Building org.eclipse.mylyn.versions.core 1.18.0-SNAPSHOT [2/16] [INFO] ---------------------------[ eclipse-plugin ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.versions.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier (default-build-qualifier) @ org.eclipse.mylyn.versions.core --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.versions.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.versions.core --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.versions.core --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- maven-resources-plugin:2.4.1:resources (default-resources) @ org.eclipse.mylyn.versions.core --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/src/main/resources [INFO] [INFO] --- tycho-compiler-plugin:1.5.0:compile (default-compile) @ org.eclipse.mylyn.versions.core --- [INFO] Compiling 13 source files to /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/src/org/eclipse/mylyn/versions/core/ScmUser.java:[84] sb.append(" <" + email + ">"); ^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/src/org/eclipse/mylyn/versions/core/ScmUser.java:[84] sb.append(" <" + email + ">"); ^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ 2 problems (2 warnings) [INFO] [INFO] --- tycho-source-plugin:1.5.0:plugin-source (attach-source) @ org.eclipse.mylyn.versions.core --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/org.eclipse.mylyn.versions.core-1.18.0-SNAPSHOT-sources.jar [INFO] [INFO] --- maven-resources-plugin:2.4.1:testResources (default-testResources) @ org.eclipse.mylyn.versions.core --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/src/test/resources [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.versions.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-plugin (default-package-plugin) @ org.eclipse.mylyn.versions.core --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/org.eclipse.mylyn.versions.core-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.versions.core --- [INFO] [INFO] >>> findbugs-maven-plugin:3.0.5:check (default) > :findbugs @ org.eclipse.mylyn.versions.core >>> [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:findbugs (findbugs) @ org.eclipse.mylyn.versions.core --- [INFO] [INFO] <<< findbugs-maven-plugin:3.0.5:check (default) < :findbugs @ org.eclipse.mylyn.versions.core <<< [INFO] [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:check (default) @ org.eclipse.mylyn.versions.core --- [INFO] [INFO] >>> maven-pmd-plugin:2.5:cpd-check (default) > :cpd @ org.eclipse.mylyn.versions.core >>> [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd (cpd) @ org.eclipse.mylyn.versions.core --- [INFO] [INFO] <<< maven-pmd-plugin:2.5:cpd-check (default) < :cpd @ org.eclipse.mylyn.versions.core <<< [INFO] [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd-check (default) @ org.eclipse.mylyn.versions.core --- [INFO] [INFO] -------< org.eclipse.mylyn.versions:org.eclipse.mylyn.cvs.core >-------- [INFO] Building org.eclipse.mylyn.cvs.core 1.18.0-SNAPSHOT [3/16] [INFO] ---------------------------[ eclipse-plugin ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.cvs.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier (default-build-qualifier) @ org.eclipse.mylyn.cvs.core --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.cvs.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.cvs.core --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.cvs.core --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- maven-resources-plugin:2.4.1:resources (default-resources) @ org.eclipse.mylyn.cvs.core --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/src/main/resources [INFO] [INFO] --- tycho-compiler-plugin:1.5.0:compile (default-compile) @ org.eclipse.mylyn.cvs.core --- [INFO] Compiling 3 source files to /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/target/classes [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/src/org/eclipse/mylyn/internal/ccvs/core/CvsArtifact.java:[16] import org.eclipse.mylyn.versions.core.spi.ScmResourceArtifact; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmResourceArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/src/org/eclipse/mylyn/internal/ccvs/core/CvsArtifact.java:[21] public class CvsArtifact extends ScmResourceArtifact { ^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmResourceArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/src/org/eclipse/mylyn/internal/ccvs/core/CvsArtifact.java:[24] super(connector, resource, id); ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmResourceArtifact(ScmConnector, IResource, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') 3 problems (3 warnings) [INFO] [INFO] --- tycho-source-plugin:1.5.0:plugin-source (attach-source) @ org.eclipse.mylyn.cvs.core --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/target/org.eclipse.mylyn.cvs.core-1.18.0-SNAPSHOT-sources.jar [INFO] [INFO] --- maven-resources-plugin:2.4.1:testResources (default-testResources) @ org.eclipse.mylyn.cvs.core --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/src/test/resources [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.cvs.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-plugin (default-package-plugin) @ org.eclipse.mylyn.cvs.core --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs.core/target/org.eclipse.mylyn.cvs.core-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.cvs.core --- [INFO] [INFO] >>> findbugs-maven-plugin:3.0.5:check (default) > :findbugs @ org.eclipse.mylyn.cvs.core >>> [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:findbugs (findbugs) @ org.eclipse.mylyn.cvs.core --- [INFO] [INFO] <<< findbugs-maven-plugin:3.0.5:check (default) < :findbugs @ org.eclipse.mylyn.cvs.core <<< [INFO] [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:check (default) @ org.eclipse.mylyn.cvs.core --- [INFO] [INFO] >>> maven-pmd-plugin:2.5:cpd-check (default) > :cpd @ org.eclipse.mylyn.cvs.core >>> [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd (cpd) @ org.eclipse.mylyn.cvs.core --- [INFO] [INFO] <<< maven-pmd-plugin:2.5:cpd-check (default) < :cpd @ org.eclipse.mylyn.cvs.core <<< [INFO] [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd-check (default) @ org.eclipse.mylyn.cvs.core --- [INFO] [INFO] ------< org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.ui >------ [INFO] Building org.eclipse.mylyn.versions.ui 1.18.0-SNAPSHOT [4/16] [INFO] ---------------------------[ eclipse-plugin ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.versions.ui --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier (default-build-qualifier) @ org.eclipse.mylyn.versions.ui --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.versions.ui --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.versions.ui --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.versions.ui --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- maven-resources-plugin:2.4.1:resources (default-resources) @ org.eclipse.mylyn.versions.ui --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/main/resources [INFO] [INFO] --- tycho-compiler-plugin:1.5.0:compile (default-compile) @ org.eclipse.mylyn.versions.ui --- [INFO] Compiling 2 source files to /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/target/classes [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[41] import org.eclipse.team.internal.core.history.LocalFileRevision; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'LocalFileRevision' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.core/3.8.800.v20191122-2107/org.eclipse.team.core-3.8.800.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[42] import org.eclipse.team.internal.ui.history.CompareFileRevisionEditorInput; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'CompareFileRevisionEditorInput' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.ui/3.8.700.v20191122-2107/org.eclipse.team.ui-3.8.700.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[43] import org.eclipse.team.internal.ui.history.FileRevisionTypedElement; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'FileRevisionTypedElement' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.ui/3.8.700.v20191122-2107/org.eclipse.team.ui-3.8.700.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[84] if (revision instanceof LocalFileRevision) { ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'LocalFileRevision' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.core/3.8.800.v20191122-2107/org.eclipse.team.core-3.8.800.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[85] LocalFileRevision local = (LocalFileRevision) revision; ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'LocalFileRevision' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.core/3.8.800.v20191122-2107/org.eclipse.team.core-3.8.800.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[85] LocalFileRevision local = (LocalFileRevision) revision; ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'LocalFileRevision' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.core/3.8.800.v20191122-2107/org.eclipse.team.core-3.8.800.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[86] return local.getFile(); ^^^^^^^ Discouraged access: The method 'LocalFileRevision.getFile()' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.core/3.8.800.v20191122-2107/org.eclipse.team.core-3.8.800.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[111] left = new FileRevisionTypedElement(file1, null); ^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'FileRevisionTypedElement' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.ui/3.8.700.v20191122-2107/org.eclipse.team.ui-3.8.700.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[111] left = new FileRevisionTypedElement(file1, null); ^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The constructor 'FileRevisionTypedElement(IFileRevision, String)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.ui/3.8.700.v20191122-2107/org.eclipse.team.ui-3.8.700.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[116] ITypedElement right = new FileRevisionTypedElement(file2, null); ^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'FileRevisionTypedElement' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.ui/3.8.700.v20191122-2107/org.eclipse.team.ui-3.8.700.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[116] ITypedElement right = new FileRevisionTypedElement(file2, null); ^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The constructor 'FileRevisionTypedElement(IFileRevision, String)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.ui/3.8.700.v20191122-2107/org.eclipse.team.ui-3.8.700.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[118] CompareFileRevisionEditorInput input = new CompareFileRevisionEditorInput(left, right, page); ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'CompareFileRevisionEditorInput' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.ui/3.8.700.v20191122-2107/org.eclipse.team.ui-3.8.700.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[118] CompareFileRevisionEditorInput input = new CompareFileRevisionEditorInput(left, right, page); ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'CompareFileRevisionEditorInput' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.ui/3.8.700.v20191122-2107/org.eclipse.team.ui-3.8.700.v20191122-2107.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/org/eclipse/mylyn/versions/ui/ScmUi.java:[118] CompareFileRevisionEditorInput input = new CompareFileRevisionEditorInput(left, right, page); ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The constructor 'CompareFileRevisionEditorInput(ITypedElement, ITypedElement, IWorkbenchPage)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.team.ui/3.8.700.v20191122-2107/org.eclipse.team.ui-3.8.700.v20191122-2107.jar') 14 problems (14 warnings) [INFO] [INFO] --- tycho-source-plugin:1.5.0:plugin-source (attach-source) @ org.eclipse.mylyn.versions.ui --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/target/org.eclipse.mylyn.versions.ui-1.18.0-SNAPSHOT-sources.jar [INFO] [INFO] --- maven-resources-plugin:2.4.1:testResources (default-testResources) @ org.eclipse.mylyn.versions.ui --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/src/test/resources [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.versions.ui --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-plugin (default-package-plugin) @ org.eclipse.mylyn.versions.ui --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/target/org.eclipse.mylyn.versions.ui-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.versions.ui --- [INFO] [INFO] >>> findbugs-maven-plugin:3.0.5:check (default) > :findbugs @ org.eclipse.mylyn.versions.ui >>> [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:findbugs (findbugs) @ org.eclipse.mylyn.versions.ui --- [INFO] [INFO] <<< findbugs-maven-plugin:3.0.5:check (default) < :findbugs @ org.eclipse.mylyn.versions.ui <<< [INFO] [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:check (default) @ org.eclipse.mylyn.versions.ui --- [INFO] [INFO] >>> maven-pmd-plugin:2.5:cpd-check (default) > :cpd @ org.eclipse.mylyn.versions.ui >>> [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd (cpd) @ org.eclipse.mylyn.versions.ui --- [INFO] [INFO] <<< maven-pmd-plugin:2.5:cpd-check (default) < :cpd @ org.eclipse.mylyn.versions.ui <<< [INFO] [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd-check (default) @ org.eclipse.mylyn.versions.ui --- [INFO] [INFO] -------< org.eclipse.mylyn.versions:org.eclipse.mylyn.versions >-------- [INFO] Building org.eclipse.mylyn.versions 1.18.0-SNAPSHOT [5/16] [INFO] --------------------------[ eclipse-feature ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.versions --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier-aggregator (default-build-qualifier-aggregator) @ org.eclipse.mylyn.versions --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.versions --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.versions --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.versions --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.versions --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-feature (default-package-feature) @ org.eclipse.mylyn.versions --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-feature/target/org.eclipse.mylyn.versions-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.versions --- [INFO] [INFO] --- tycho-p2-plugin:1.5.0:feature-p2-metadata (default-feature-p2-metadata) @ org.eclipse.mylyn.versions --- [INFO] [INFO] ----------< org.eclipse.mylyn.versions:org.eclipse.mylyn.cvs >---------- [INFO] Building org.eclipse.mylyn.cvs 1.18.0-SNAPSHOT [6/16] [INFO] --------------------------[ eclipse-feature ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.cvs --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier-aggregator (default-build-qualifier-aggregator) @ org.eclipse.mylyn.cvs --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.cvs --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.cvs --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.cvs --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.cvs --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-feature (default-package-feature) @ org.eclipse.mylyn.cvs --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.cvs-feature/target/org.eclipse.mylyn.cvs-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.cvs --- [INFO] [INFO] --- tycho-p2-plugin:1.5.0:feature-p2-metadata (default-feature-p2-metadata) @ org.eclipse.mylyn.cvs --- [INFO] [INFO] -------< org.eclipse.mylyn.versions:org.eclipse.mylyn.git.core >-------- [INFO] Building org.eclipse.mylyn.git.core 1.18.0-SNAPSHOT [7/16] [INFO] ---------------------------[ eclipse-plugin ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.git.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier (default-build-qualifier) @ org.eclipse.mylyn.git.core --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.git.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.git.core --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.git.core --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- maven-resources-plugin:2.4.1:resources (default-resources) @ org.eclipse.mylyn.git.core --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/main/resources [INFO] [INFO] --- tycho-compiler-plugin:1.5.0:compile (default-compile) @ org.eclipse.mylyn.git.core --- [INFO] Compiling 4 source files to /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/target/classes [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitArtifact.java:[26] import org.eclipse.mylyn.versions.core.ScmArtifact; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitArtifact.java:[35] public class GitArtifact extends ScmArtifact { ^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitArtifact.java:[40] super(id, path); ^^^^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmArtifact(String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitArtifact.java:[47] final IPath path = Path.fromPortableString(getPath()); ^^^^^^^ Discouraged access: The method 'ScmArtifact.getPath()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitArtifact.java:[62] public Object getAdapter(Class adapter) { ^^^^^^ Type safety: The return type Object for getAdapter(Class) from the type new IStorage(){} needs unchecked conversion to conform to T from the type IAdaptable [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitArtifact.java:[81] .open(ObjectId.fromString(getId()), Constants.OBJ_BLOB) ^^^^^ Discouraged access: The method 'ScmArtifact.getId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[35] import org.eclipse.egit.core.GitProvider; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'GitProvider' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[36] import org.eclipse.egit.core.RepositoryCache; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryCache' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[37] import org.eclipse.egit.core.project.RepositoryMapping; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryMapping' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[51] import org.eclipse.mylyn.versions.core.Change; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[52] import org.eclipse.mylyn.versions.core.ChangeSet; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[53] import org.eclipse.mylyn.versions.core.ChangeType; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[54] import org.eclipse.mylyn.versions.core.ScmArtifact; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[55] import org.eclipse.mylyn.versions.core.ScmRepository; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[56] import org.eclipse.mylyn.versions.core.spi.ScmConnector; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[57] import org.eclipse.mylyn.versions.core.spi.ScmResourceArtifact; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmResourceArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[58] import org.eclipse.mylyn.versions.core.spi.ScmResourceUtils; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmResourceUtils' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[69] public class GitConnector extends ScmConnector { ^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[75] return GitProvider.class.getName(); ^^^^^^^^^^^ Discouraged access: The type 'GitProvider' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[79] public ScmArtifact getArtifact(IResource resource) throws CoreException { ^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[85] RepositoryMapping m = RepositoryMapping.getMapping(resource); ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryMapping' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[85] RepositoryMapping m = RepositoryMapping.getMapping(resource); ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryMapping' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[85] RepositoryMapping m = RepositoryMapping.getMapping(resource); ^^^^^^^^^^ Discouraged access: The method 'RepositoryMapping.getMapping(IResource)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[87] repository = getRepositoryCache().lookupRepository(m.getGitDirAbsolutePath().toFile()); ^^^^^^^^^^^^^^^^ Discouraged access: The method 'RepositoryCache.lookupRepository(File)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[87] repository = getRepositoryCache().lookupRepository(m.getGitDirAbsolutePath().toFile()); ^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The method 'RepositoryMapping.getGitDirAbsolutePath()' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[103] ScmArtifact artifact = null; ^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[107] artifact.setProjectName(resource.getProject().getName()); ^^^^^^^^^^^^^^ Discouraged access: The method 'ScmArtifact.setProjectName(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[108] artifact.setProjectRelativePath(resource.getProjectRelativePath().toPortableString()); ^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The method 'ScmArtifact.setProjectRelativePath(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[117] public ScmArtifact getArtifact(IResource resource, String revision) throws CoreException { ^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[118] return new ScmResourceArtifact(this, resource, revision); ^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmResourceArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[118] return new ScmResourceArtifact(this, resource, revision); ^^^^^^^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmResourceArtifact(ScmConnector, IResource, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[122] public ChangeSet getChangeSet(ScmRepository repository, IFileRevision revision, IProgressMonitor monitor) ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[122] public ChangeSet getChangeSet(ScmRepository repository, IFileRevision revision, IProgressMonitor monitor) ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[137] List<Change> diffCommit(ScmRepository repository, Repository repository2, RevWalk walk, RevCommit commit) ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[137] List<Change> diffCommit(ScmRepository repository, Repository repository2, RevWalk walk, RevCommit commit) ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[157] List<Change> changes = new ArrayList<Change>(); ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[157] List<Change> changes = new ArrayList<Change>(); ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[172] ScmArtifact newArtifact = getArtifact(repository, d, false, repoWorkAreaPath); ^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[173] ScmArtifact oldArtifact = getArtifact(repository, d, true, repoWorkAreaPath); ^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[175] changes.add(new Change(oldArtifact, newArtifact, mapChangeType(d.getChangeType()))); ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[175] changes.add(new Change(oldArtifact, newArtifact, mapChangeType(d.getChangeType()))); ^^^^^^ Discouraged access: The constructor 'Change(ScmArtifact, ScmArtifact, ChangeType)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[188] private ScmArtifact getArtifact(ScmRepository repository, DiffEntry d, boolean old, IPath repoWorkAreaPath) { ^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[188] private ScmArtifact getArtifact(ScmRepository repository, DiffEntry d, boolean old, IPath repoWorkAreaPath) { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[189] ScmArtifact artifact = null; ^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[210] IFile[] files = ScmResourceUtils.getWorkSpaceFiles(absURI); ^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmResourceUtils' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[210] IFile[] files = ScmResourceUtils.getWorkSpaceFiles(absURI); ^^^^^^^^^^^^^^^^^ Discouraged access: The method 'ScmResourceUtils.getWorkSpaceFiles(URI)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[239] artifact.setProjectName(ifile.getProject().getName()); ^^^^^^^^^^^^^^ Discouraged access: The method 'ScmArtifact.setProjectName(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[240] artifact.setProjectRelativePath(ifile.getProjectRelativePath().toPortableString()); ^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The method 'ScmArtifact.setProjectRelativePath(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[246] private ChangeType mapChangeType(org.eclipse.jgit.diff.DiffEntry.ChangeType change) { ^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[250] return ChangeType.ADDED; ^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[250] return ChangeType.ADDED; ^^^^^ Discouraged access: The field 'ChangeType.ADDED' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[252] return ChangeType.DELETED; ^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[252] return ChangeType.DELETED; ^^^^^^^ Discouraged access: The field 'ChangeType.DELETED' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[254] return ChangeType.MODIFIED; ^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[254] return ChangeType.MODIFIED; ^^^^^^^^ Discouraged access: The field 'ChangeType.MODIFIED' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[256] return ChangeType.REPLACED; ^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[256] return ChangeType.REPLACED; ^^^^^^^^ Discouraged access: The field 'ChangeType.REPLACED' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[262] public List<ChangeSet> getChangeSets(final ScmRepository repository, final IProgressMonitor monitor) ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[262] public List<ChangeSet> getChangeSets(final ScmRepository repository, final IProgressMonitor monitor) ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[268] public Iterator<ChangeSet> getChangeSetsIterator(ScmRepository repository, IProgressMonitor monitor) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[268] public Iterator<ChangeSet> getChangeSetsIterator(ScmRepository repository, IProgressMonitor monitor) { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[280] return Iterators.transform(revs.iterator(), new Function<RevCommit, ChangeSet>() { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[281] public ChangeSet apply(RevCommit input) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[287] private ChangeSet changeSet(RevCommit r, GitRepository repository) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[289] ChangeSet changeSet = new LazyChangeSet(r, repository); ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[294] public List<ScmRepository> getRepositories(IProgressMonitor monitor) throws CoreException { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[295] ArrayList<ScmRepository> repos = new ArrayList<ScmRepository>(); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[295] ArrayList<ScmRepository> repos = new ArrayList<ScmRepository>(); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[311] RepositoryMapping mapping = RepositoryMapping.getMapping(resource); ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryMapping' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[311] RepositoryMapping mapping = RepositoryMapping.getMapping(resource); ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryMapping' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[311] RepositoryMapping mapping = RepositoryMapping.getMapping(resource); ^^^^^^^^^^ Discouraged access: The method 'RepositoryMapping.getMapping(IResource)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[319] protected RepositoryCache getRepositoryCache() { ^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryCache' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[320] return org.eclipse.egit.core.Activator.getDefault().getRepositoryCache(); ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'Activator' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[320] return org.eclipse.egit.core.Activator.getDefault().getRepositoryCache(); ^^^^^^^^^^ Discouraged access: The method 'Activator.getDefault()' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitConnector.java:[320] return org.eclipse.egit.core.Activator.getDefault().getRepositoryCache(); ^^^^^^^^^^^^^^^^^^ Discouraged access: The method 'Activator.getRepositoryCache()' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[17] import org.eclipse.egit.core.project.RepositoryMapping; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryMapping' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[19] import org.eclipse.mylyn.versions.core.ScmRepository; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[26] public class GitRepository extends ScmRepository { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[28] private final RepositoryMapping mapping; ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryMapping' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[32] public GitRepository(GitConnector connector, RepositoryMapping mapping, IProject mainProject) { ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryMapping' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[34] setConnector(connector); ^^^^^^^^^^^^ Discouraged access: The method 'ScmRepository.setConnector(ScmConnector)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[40] return this.mapping.getRepository(); ^^^^^^^^^^^^^ Discouraged access: The method 'RepositoryMapping.getRepository()' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[43] public RepositoryMapping getMapping() { ^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryMapping' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[53] return mapping.getRepoRelativePath(resource); ^^^^^^^^^^^^^^^^^^^ Discouraged access: The method 'RepositoryMapping.getRepoRelativePath(IResource)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.core/5.6.0.201912101111-r/org.eclipse.egit.core-5.6.0.201912101111-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/GitRepository.java:[61] this.setUrl(originUrl); ^^^^^^ Discouraged access: The method 'ScmRepository.setUrl(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[24] import org.eclipse.mylyn.versions.core.Change; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[25] import org.eclipse.mylyn.versions.core.ChangeSet; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[26] import org.eclipse.mylyn.versions.core.ScmUser; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmUser' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[28] class LazyChangeSet extends ChangeSet { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[33] private List<Change> delegate; ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[36] super(getScmUser(r.getCommitterIdent()), getAdjustedCommitTime(r), r.name(), r.getFullMessage(), repository, new ArrayList<Change>()); ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The constructor 'ChangeSet(ScmUser, Date, String, String, ScmRepository, List<Change>)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[37] new ArrayList<Change>()); ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[46] private static ScmUser getScmUser(PersonIdent person) { ^^^^^^^ Discouraged access: The type 'ScmUser' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[47] return new ScmUser(person.getEmailAddress(), person.getName(), person.getEmailAddress()); ^^^^^^^ Discouraged access: The type 'ScmUser' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[47] return new ScmUser(person.getEmailAddress(), person.getName(), person.getEmailAddress()); ^^^^^^^ Discouraged access: The constructor 'ScmUser(String, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[51] public java.util.List<Change> getChanges() { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[55] private synchronized List<Change> getOrInitDelegate() { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[57] delegate = new ArrayList<Change>(); ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/org/eclipse/mylyn/internal/git/core/LazyChangeSet.java:[69] delegate.addAll(((GitConnector) scmRepository.getConnector()).diffCommit(scmRepository, repository, walk, ^^^^^^^^^^^^ Discouraged access: The method 'ScmRepository.getConnector()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') 99 problems (99 warnings) [INFO] [INFO] --- tycho-source-plugin:1.5.0:plugin-source (attach-source) @ org.eclipse.mylyn.git.core --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/target/org.eclipse.mylyn.git.core-1.18.0-SNAPSHOT-sources.jar [INFO] [INFO] --- maven-resources-plugin:2.4.1:testResources (default-testResources) @ org.eclipse.mylyn.git.core --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/src/test/resources [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.git.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-plugin (default-package-plugin) @ org.eclipse.mylyn.git.core --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.core/target/org.eclipse.mylyn.git.core-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.git.core --- [INFO] [INFO] >>> findbugs-maven-plugin:3.0.5:check (default) > :findbugs @ org.eclipse.mylyn.git.core >>> [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:findbugs (findbugs) @ org.eclipse.mylyn.git.core --- [INFO] [INFO] <<< findbugs-maven-plugin:3.0.5:check (default) < :findbugs @ org.eclipse.mylyn.git.core <<< [INFO] [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:check (default) @ org.eclipse.mylyn.git.core --- [INFO] [INFO] >>> maven-pmd-plugin:2.5:cpd-check (default) > :cpd @ org.eclipse.mylyn.git.core >>> [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd (cpd) @ org.eclipse.mylyn.git.core --- [INFO] [INFO] <<< maven-pmd-plugin:2.5:cpd-check (default) < :cpd @ org.eclipse.mylyn.git.core <<< [INFO] [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd-check (default) @ org.eclipse.mylyn.git.core --- [INFO] [INFO] --------< org.eclipse.mylyn.versions:org.eclipse.mylyn.git.ui >--------- [INFO] Building org.eclipse.mylyn.git.ui 1.18.0-SNAPSHOT [8/16] [INFO] ---------------------------[ eclipse-plugin ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.git.ui --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier (default-build-qualifier) @ org.eclipse.mylyn.git.ui --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.git.ui --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.git.ui --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.git.ui --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- maven-resources-plugin:2.4.1:resources (default-resources) @ org.eclipse.mylyn.git.ui --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/main/resources [INFO] [INFO] --- tycho-compiler-plugin:1.5.0:compile (default-compile) @ org.eclipse.mylyn.git.ui --- [INFO] Compiling 2 source files to /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/target/classes [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[23] import org.eclipse.egit.ui.internal.commit.CommitEditor; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'CommitEditor' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.ui/1.3.0.201202151440-r/org.eclipse.egit.ui-1.3.0.201202151440-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[24] import org.eclipse.egit.ui.internal.commit.RepositoryCommit; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryCommit' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.ui/1.3.0.201202151440-r/org.eclipse.egit.ui-1.3.0.201202151440-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[33] import org.eclipse.mylyn.versions.core.ChangeSet; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[34] import org.eclipse.mylyn.versions.core.ScmCore; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[35] import org.eclipse.mylyn.versions.core.ScmRepository; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[36] import org.eclipse.mylyn.versions.core.spi.ScmConnector; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[37] import org.eclipse.mylyn.versions.ui.spi.ScmConnectorUi; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnectorUi' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[44] public class GitConnectorUi extends ScmConnectorUi { ^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnectorUi' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[49] public ChangeSet getChangeSet(ScmRepository repository, IResource resource) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[49] public ChangeSet getChangeSet(ScmRepository repository, IResource resource) { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[56] final ScmConnector scmConnector = ScmCore.getConnector(resource); ^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[56] final ScmConnector scmConnector = ScmCore.getConnector(resource); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[56] final ScmConnector scmConnector = ScmCore.getConnector(resource); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.getConnector(IResource)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[60] if (!GitProvider.class.getName().equals(scmConnector.getProviderId())) { ^^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getProviderId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[61] throw new RuntimeException("No Git connector: " + scmConnector.getProviderId()); ^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[61] throw new RuntimeException("No Git connector: " + scmConnector.getProviderId()); ^^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getProviderId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[73] public void showChangeSetInView(ChangeSet cs) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[74] String objectId = cs.getId(); ^^^^^ Discouraged access: The method 'ChangeSet.getId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[75] GitRepository repo = (GitRepository) cs.getRepository(); ^^^^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getRepository()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[77] CommitEditor.openQuiet(new RepositoryCommit(repository, getCommit(repository, objectId))); ^^^^^^^^^^^^ Discouraged access: The type 'CommitEditor' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.ui/1.3.0.201202151440-r/org.eclipse.egit.ui-1.3.0.201202151440-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[77] CommitEditor.openQuiet(new RepositoryCommit(repository, getCommit(repository, objectId))); ^^^^^^^^^ Discouraged access: The method 'CommitEditor.openQuiet(RepositoryCommit)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.ui/1.3.0.201202151440-r/org.eclipse.egit.ui-1.3.0.201202151440-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[77] CommitEditor.openQuiet(new RepositoryCommit(repository, getCommit(repository, objectId))); ^^^^^^^^^^^^^^^^ Discouraged access: The type 'RepositoryCommit' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.ui/1.3.0.201202151440-r/org.eclipse.egit.ui-1.3.0.201202151440-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/connector/GitConnectorUi.java:[77] CommitEditor.openQuiet(new RepositoryCommit(repository, getCommit(repository, objectId))); ^^^^^^^^^^^^^^^^ Discouraged access: The constructor 'RepositoryCommit(Repository, RevCommit)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.egit.ui/1.3.0.201202151440-r/org.eclipse.egit.ui-1.3.0.201202151440-r.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[30] import org.eclipse.mylyn.versions.core.Change; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[31] import org.eclipse.mylyn.versions.core.ChangeSet; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[32] import org.eclipse.mylyn.versions.core.ChangeType; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[33] import org.eclipse.mylyn.versions.core.ScmCore; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[34] import org.eclipse.mylyn.versions.core.ScmRepository; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[35] import org.eclipse.mylyn.versions.core.spi.ScmConnector; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[66] private static final String FIND_REVIEW_ITEMS_DIALOG_TITLE = "Find Review Items"; ^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[71] private static final String FIND_REVIEW_ITEMS_DIALOG_VALUE = "Review Item Info"; ^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[76] private static final String FIND_REVIEW_ITEMS_DESCRIPTION_DIALOG_VALUE = "Review Item Components"; ^^^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[81] private static final String COMMIT_INFO_HEADER_MSG = "Commit Information"; ^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[86] private static final String COMMIT_COMPONENTS_HEADER_MSG = "Committed Components"; ^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[96] private static final String GIT_NEWLINE = "\n"; ^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[106] private static final String MORE_ITEMS_LABEL = "<more items>"; ^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[121] protected ChangeSet selectedChangeSet = null; ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[161] final SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MMM-dd hh:mm:ss"); ^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[166] private ScmConnector connector = null; ^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[171] private ScmRepository repository = null; ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[176] private List<ChangeSet> changeSets = null; ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[181] private final List<ChangeSet> filteredChangeSets = new ArrayList<ChangeSet>(); ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[181] private final List<ChangeSet> filteredChangeSets = new ArrayList<ChangeSet>(); ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[228] connector = ScmCore.getConnector(inputProject); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[228] connector = ScmCore.getConnector(inputProject); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.getConnector(IResource)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[229] repository = connector.getRepository(inputProject, new NullProgressMonitor()); ^^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getRepository(IResource, IProgressMonitor)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[230] changeSets = connector.getChangeSets(repository, new NullProgressMonitor()); ^^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getChangeSets(ScmRepository, IProgressMonitor)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[243] final Label label = toolkit.createLabel(composite, "Available Commits: "); ^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[287] ChangeSet updatedChangeSet = null; ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[288] ChangeSet changeSet = null; ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[302] for (Change change : updatedChangeSet.getChanges()) { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[302] for (Change change : updatedChangeSet.getChanges()) { ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getChanges()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[303] if (change.getTarget() != null) { ^^^^^^^^^ Discouraged access: The method 'Change.getTarget()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[304] repoProject = change.getTarget().getProjectName(); ^^^^^^^^^ Discouraged access: The method 'Change.getTarget()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[304] repoProject = change.getTarget().getProjectName(); ^^^^^^^^^^^^^^ Discouraged access: The method 'ScmArtifact.getProjectName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[305] } else if (change.getBase() != null) { ^^^^^^^ Discouraged access: The method 'Change.getBase()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[306] repoProject = change.getBase().getProjectName(); ^^^^^^^ Discouraged access: The method 'Change.getBase()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[306] repoProject = change.getBase().getProjectName(); ^^^^^^^^^^^^^^ Discouraged access: The method 'ScmArtifact.getProjectName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[309] String[] tokens = updatedChangeSet.getMessage().split(GIT_NEWLINE, 2); ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getMessage()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[311] DIALOG_COMBO_MAX_CHARACTERS - 3) + "..." : tokens[0]); ^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[362] final Label titleLabel = aToolkit.createLabel(basicSectionClient, "Title: ", SWT.WRAP); ^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[365] selectedChangeSet == null ? "" : selectedChangeSet.getMessage(), SWT.NONE); ^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[365] selectedChangeSet == null ? "" : selectedChangeSet.getMessage(), SWT.NONE); ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getMessage()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[371] final Label idLabel = aToolkit.createLabel(basicSectionClient, "ID: ", SWT.WRAP); ^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[373] idText = aToolkit.createLabel(basicSectionClient, selectedChangeSet == null ? "" : selectedChangeSet.getId(), ^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[373] idText = aToolkit.createLabel(basicSectionClient, selectedChangeSet == null ? "" : selectedChangeSet.getId(), ^^^^^ Discouraged access: The method 'ChangeSet.getId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[380] final Label authorNameLabel = aToolkit.createLabel(basicSectionClient, "Author Name: ", SWT.WRAP); ^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[383] ? "" ^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[384] : selectedChangeSet.getAuthor().getName(), SWT.NONE); ^^^^^^^^^ Discouraged access: The method 'ChangeSet.getAuthor()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[384] : selectedChangeSet.getAuthor().getName(), SWT.NONE); ^^^^^^^ Discouraged access: The method 'ScmUser.getName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[390] final Label authorEmailLabel = aToolkit.createLabel(basicSectionClient, "Author Email: ", SWT.WRAP); ^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[393] ? "" ^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[394] : selectedChangeSet.getAuthor().getEmail(), SWT.NONE); ^^^^^^^^^ Discouraged access: The method 'ChangeSet.getAuthor()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[394] : selectedChangeSet.getAuthor().getEmail(), SWT.NONE); ^^^^^^^^ Discouraged access: The method 'ScmUser.getEmail()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[400] final Label dateLabel = aToolkit.createLabel(basicSectionClient, "Date: ", SWT.WRAP); ^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[402] final String dateStr = dateFormat.format(selectedChangeSet == null ? new Date() : selectedChangeSet.getDate()); ^^^^^^^ Discouraged access: The method 'ChangeSet.getDate()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[409] final Label messageLabel = aToolkit.createLabel(basicSectionClient, "Repository: ", SWT.WRAP); ^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[412] ? "" ^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[413] : selectedChangeSet.getRepository().getName(), SWT.NONE); ^^^^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getRepository()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[413] : selectedChangeSet.getRepository().getName(), SWT.NONE); ^^^^^^^ Discouraged access: The method 'ScmRepository.getName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[455] for (Change change : selectedChangeSet.getChanges()) { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[455] for (Change change : selectedChangeSet.getChanges()) { ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getChanges()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[470] private ChangeSet updateChangeSet(ChangeSet aSelectedChangeSet) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[470] private ChangeSet updateChangeSet(ChangeSet aSelectedChangeSet) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[471] String changeSetId = aSelectedChangeSet.getId(); ^^^^^ Discouraged access: The method 'ChangeSet.getId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[472] ChangeSet updatedChangeSet = null; ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[477] updatedChangeSet = connector.getChangeSet(repository, fileRevision, new NullProgressMonitor()); ^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getChangeSet(ScmRepository, IFileRevision, IProgressMonitor)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[522] messageText.setText(selectedChangeSet.getMessage()); ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getMessage()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[523] idText.setText(selectedChangeSet.getId()); ^^^^^ Discouraged access: The method 'ChangeSet.getId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[524] dateText.setText(dateFormat.format(selectedChangeSet.getDate())); // BUG! ^^^^^^^ Discouraged access: The method 'ChangeSet.getDate()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[525] authorNameText.setText(selectedChangeSet.getAuthor().getName()); ^^^^^^^^^ Discouraged access: The method 'ChangeSet.getAuthor()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[525] authorNameText.setText(selectedChangeSet.getAuthor().getName()); ^^^^^^^ Discouraged access: The method 'ScmUser.getName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[526] authorEmailText.setText(selectedChangeSet.getAuthor().getEmail()); ^^^^^^^^^ Discouraged access: The method 'ChangeSet.getAuthor()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[526] authorEmailText.setText(selectedChangeSet.getAuthor().getEmail()); ^^^^^^^^ Discouraged access: The method 'ScmUser.getEmail()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[527] repositoryNameText.setText(selectedChangeSet.getRepository().getUrl()); ^^^^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getRepository()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[527] repositoryNameText.setText(selectedChangeSet.getRepository().getUrl()); ^^^^^^ Discouraged access: The method 'ScmRepository.getUrl()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[529] for (Change change : selectedChangeSet.getChanges()) { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[529] for (Change change : selectedChangeSet.getChanges()) { ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getChanges()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[547] public ChangeSet getChangeSet() { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[558] private String getAdjustedPath(Change aChange) { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[559] if (aChange.getChangeType().equals(ChangeType.DELETED)) { ^^^^^^^^^^^^^ Discouraged access: The method 'Change.getChangeType()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[559] if (aChange.getChangeType().equals(ChangeType.DELETED)) { ^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[559] if (aChange.getChangeType().equals(ChangeType.DELETED)) { ^^^^^^^ Discouraged access: The field 'ChangeType.DELETED' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[560] return "[-] " + aChange.getBase().getPath(); ^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[560] return "[-] " + aChange.getBase().getPath(); ^^^^^^^ Discouraged access: The method 'Change.getBase()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[560] return "[-] " + aChange.getBase().getPath(); ^^^^^^^ Discouraged access: The method 'ScmArtifact.getPath()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[561] } else if (aChange.getChangeType().equals(ChangeType.ADDED)) { ^^^^^^^^^^^^^ Discouraged access: The method 'Change.getChangeType()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[561] } else if (aChange.getChangeType().equals(ChangeType.ADDED)) { ^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[561] } else if (aChange.getChangeType().equals(ChangeType.ADDED)) { ^^^^^ Discouraged access: The field 'ChangeType.ADDED' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[562] return "[+] " + aChange.getTarget().getPath(); ^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[562] return "[+] " + aChange.getTarget().getPath(); ^^^^^^^^^ Discouraged access: The method 'Change.getTarget()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[562] return "[+] " + aChange.getTarget().getPath(); ^^^^^^^ Discouraged access: The method 'ScmArtifact.getPath()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[564] return " " + aChange.getTarget().getPath(); ^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[564] return " " + aChange.getTarget().getPath(); ^^^^^^^^^ Discouraged access: The method 'Change.getTarget()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/org/eclipse/mylyn/internal/git/ui/GetChangeSetDialog.java:[564] return " " + aChange.getTarget().getPath(); ^^^^^^^ Discouraged access: The method 'ScmArtifact.getPath()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') 115 problems (115 warnings) [INFO] [INFO] --- tycho-source-plugin:1.5.0:plugin-source (attach-source) @ org.eclipse.mylyn.git.ui --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/target/org.eclipse.mylyn.git.ui-1.18.0-SNAPSHOT-sources.jar [INFO] [INFO] --- maven-resources-plugin:2.4.1:testResources (default-testResources) @ org.eclipse.mylyn.git.ui --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/src/test/resources [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.git.ui --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-plugin (default-package-plugin) @ org.eclipse.mylyn.git.ui --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git.ui/target/org.eclipse.mylyn.git.ui-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.git.ui --- [INFO] [INFO] >>> findbugs-maven-plugin:3.0.5:check (default) > :findbugs @ org.eclipse.mylyn.git.ui >>> [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:findbugs (findbugs) @ org.eclipse.mylyn.git.ui --- [INFO] [INFO] <<< findbugs-maven-plugin:3.0.5:check (default) < :findbugs @ org.eclipse.mylyn.git.ui <<< [INFO] [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:check (default) @ org.eclipse.mylyn.git.ui --- [INFO] [INFO] >>> maven-pmd-plugin:2.5:cpd-check (default) > :cpd @ org.eclipse.mylyn.git.ui >>> [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd (cpd) @ org.eclipse.mylyn.git.ui --- [INFO] [INFO] <<< maven-pmd-plugin:2.5:cpd-check (default) < :cpd @ org.eclipse.mylyn.git.ui <<< [INFO] [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd-check (default) @ org.eclipse.mylyn.git.ui --- [INFO] [INFO] ----------< org.eclipse.mylyn.versions:org.eclipse.mylyn.git >---------- [INFO] Building org.eclipse.mylyn.git 1.18.0-SNAPSHOT [9/16] [INFO] --------------------------[ eclipse-feature ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.git --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier-aggregator (default-build-qualifier-aggregator) @ org.eclipse.mylyn.git --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.git --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.git --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.git --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.git --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-feature (default-package-feature) @ org.eclipse.mylyn.git --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.git-feature/target/org.eclipse.mylyn.git-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.git --- [INFO] [INFO] --- tycho-p2-plugin:1.5.0:feature-p2-metadata (default-feature-p2-metadata) @ org.eclipse.mylyn.git --- [INFO] [INFO] ----< org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse.core >----- [INFO] Building org.eclipse.mylyn.subclipse.core 1.18.0-SNAPSHOT [10/16] [INFO] ---------------------------[ eclipse-plugin ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.subclipse.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier (default-build-qualifier) @ org.eclipse.mylyn.subclipse.core --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.subclipse.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.subclipse.core --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.subclipse.core --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- maven-resources-plugin:2.4.1:resources (default-resources) @ org.eclipse.mylyn.subclipse.core --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/src/main/resources [INFO] [INFO] --- tycho-compiler-plugin:1.5.0:compile (default-compile) @ org.eclipse.mylyn.subclipse.core --- [INFO] Compiling 4 source files to /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/target/classes [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/src/org/eclipse/mylyn/internal/subclipse/core/SubclipseConnector.java:[546] private final String[] EXIT_ERROR_MESSAGES = new String[] { "connection refused", "Connection timed out" }; ^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/src/org/eclipse/mylyn/internal/subclipse/core/SubclipseConnector.java:[546] private final String[] EXIT_ERROR_MESSAGES = new String[] { "connection refused", "Connection timed out" }; ^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/src/org/eclipse/mylyn/internal/subclipse/core/SubclipseConnector.java:[616] StringBuilder sb = new StringBuilder("Unable to resolve changeSets, "); ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ 3 problems (3 warnings) [INFO] [INFO] --- tycho-source-plugin:1.5.0:plugin-source (attach-source) @ org.eclipse.mylyn.subclipse.core --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/target/org.eclipse.mylyn.subclipse.core-1.18.0-SNAPSHOT-sources.jar [INFO] [INFO] --- maven-resources-plugin:2.4.1:testResources (default-testResources) @ org.eclipse.mylyn.subclipse.core --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/src/test/resources [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.subclipse.core --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-plugin (default-package-plugin) @ org.eclipse.mylyn.subclipse.core --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.core/target/org.eclipse.mylyn.subclipse.core-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.subclipse.core --- [INFO] [INFO] >>> findbugs-maven-plugin:3.0.5:check (default) > :findbugs @ org.eclipse.mylyn.subclipse.core >>> [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:findbugs (findbugs) @ org.eclipse.mylyn.subclipse.core --- [INFO] [INFO] <<< findbugs-maven-plugin:3.0.5:check (default) < :findbugs @ org.eclipse.mylyn.subclipse.core <<< [INFO] [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:check (default) @ org.eclipse.mylyn.subclipse.core --- [INFO] [INFO] >>> maven-pmd-plugin:2.5:cpd-check (default) > :cpd @ org.eclipse.mylyn.subclipse.core >>> [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd (cpd) @ org.eclipse.mylyn.subclipse.core --- [INFO] [INFO] <<< maven-pmd-plugin:2.5:cpd-check (default) < :cpd @ org.eclipse.mylyn.subclipse.core <<< [INFO] [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd-check (default) @ org.eclipse.mylyn.subclipse.core --- [INFO] [INFO] -----< org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse.ui >------ [INFO] Building org.eclipse.mylyn.subclipse.ui 1.18.0-SNAPSHOT [11/16] [INFO] ---------------------------[ eclipse-plugin ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.subclipse.ui --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier (default-build-qualifier) @ org.eclipse.mylyn.subclipse.ui --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.subclipse.ui --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.subclipse.ui --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.subclipse.ui --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- maven-resources-plugin:2.4.1:resources (default-resources) @ org.eclipse.mylyn.subclipse.ui --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/main/resources [INFO] [INFO] --- tycho-compiler-plugin:1.5.0:compile (default-compile) @ org.eclipse.mylyn.subclipse.ui --- [INFO] Compiling 2 source files to /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/target/classes [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[30] import org.eclipse.mylyn.versions.core.Change; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[31] import org.eclipse.mylyn.versions.core.ChangeSet; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[32] import org.eclipse.mylyn.versions.core.ChangeType; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[33] import org.eclipse.mylyn.versions.core.ScmCore; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[34] import org.eclipse.mylyn.versions.core.ScmRepository; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[35] import org.eclipse.mylyn.versions.core.spi.ScmConnector; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[66] private static final String FIND_REVIEW_ITEMS_DIALOG_TITLE = "Find Review Items"; ^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[71] private static final String FIND_REVIEW_ITEMS_DIALOG_VALUE = "Review Item Info"; ^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[76] private static final String FIND_REVIEW_ITEMS_DESCRIPTION_DIALOG_VALUE = "Review Item Components"; ^^^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[81] private static final String COMMIT_INFO_HEADER_MSG = "Commit Information"; ^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[86] private static final String COMMIT_COMPONENTS_HEADER_MSG = "Committed Components"; ^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[96] private static final String NEWLINE = "\n"; ^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[111] private static final String MORE_ITEMS_LABEL = "<more items>"; ^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[126] protected ChangeSet selectedChangeSet = null; ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[166] final SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MMM-dd hh:mm:ss"); ^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[171] private ScmConnector connector = null; ^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[176] private ScmRepository repository = null; ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[178] private Iterator<ChangeSet> changeSetsIter = null; ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[183] private final List<ChangeSet> filteredChangeSets = new ArrayList<ChangeSet>(); ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[183] private final List<ChangeSet> filteredChangeSets = new ArrayList<ChangeSet>(); ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[228] connector = ScmCore.getConnector(inputProject); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[228] connector = ScmCore.getConnector(inputProject); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.getConnector(IResource)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[229] repository = connector.getRepository(inputProject, new NullProgressMonitor()); ^^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getRepository(IResource, IProgressMonitor)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[230] changeSetsIter = connector.getChangeSetsIterator(repository, changeSetIterMonitor); ^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getChangeSetsIterator(ScmRepository, IProgressMonitor)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[241] final Label label = toolkit.createLabel(composite, "Available Commits: "); ^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[289] ChangeSet updatedChangeSet = null; ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[302] String message = "No input received, check connectivity"; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[312] for (Change change : updatedChangeSet.getChanges()) { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[312] for (Change change : updatedChangeSet.getChanges()) { ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getChanges()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[313] if (change.getTarget() != null) { ^^^^^^^^^ Discouraged access: The method 'Change.getTarget()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[314] repoProject = change.getTarget().getProjectName(); ^^^^^^^^^ Discouraged access: The method 'Change.getTarget()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[314] repoProject = change.getTarget().getProjectName(); ^^^^^^^^^^^^^^ Discouraged access: The method 'ScmArtifact.getProjectName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[315] } else if (change.getBase() != null) { ^^^^^^^ Discouraged access: The method 'Change.getBase()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[316] repoProject = change.getBase().getProjectName(); ^^^^^^^ Discouraged access: The method 'Change.getBase()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[316] repoProject = change.getBase().getProjectName(); ^^^^^^^^^^^^^^ Discouraged access: The method 'ScmArtifact.getProjectName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[319] String[] tokens = updatedChangeSet.getMessage().split(NEWLINE, 2); ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getMessage()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[321] DIALOG_COMBO_MAX_CHARACTERS - 3) + "..." : tokens[0]); ^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[371] final Label titleLabel = aToolkit.createLabel(basicSectionClient, "Title: ", SWT.WRAP); ^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[373] messageText = aToolkit.createLabel(basicSectionClient, selectedChangeSet.getMessage(), SWT.NONE); ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getMessage()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[379] final Label idLabel = aToolkit.createLabel(basicSectionClient, "ID: ", SWT.WRAP); ^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[381] idText = aToolkit.createLabel(basicSectionClient, selectedChangeSet.getId(), SWT.NONE); ^^^^^ Discouraged access: The method 'ChangeSet.getId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[387] final Label authorNameLabel = aToolkit.createLabel(basicSectionClient, "Author Name: ", SWT.WRAP); ^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[389] authorNameText = aToolkit.createLabel(basicSectionClient, selectedChangeSet.getAuthor().getName(), SWT.NONE); ^^^^^^^^^ Discouraged access: The method 'ChangeSet.getAuthor()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[389] authorNameText = aToolkit.createLabel(basicSectionClient, selectedChangeSet.getAuthor().getName(), SWT.NONE); ^^^^^^^ Discouraged access: The method 'ScmUser.getName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[395] final Label authorEmailLabel = aToolkit.createLabel(basicSectionClient, "Author Email: ", SWT.WRAP); ^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[397] authorEmailText = aToolkit.createLabel(basicSectionClient, selectedChangeSet.getAuthor().getEmail(), SWT.NONE); ^^^^^^^^^ Discouraged access: The method 'ChangeSet.getAuthor()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[397] authorEmailText = aToolkit.createLabel(basicSectionClient, selectedChangeSet.getAuthor().getEmail(), SWT.NONE); ^^^^^^^^ Discouraged access: The method 'ScmUser.getEmail()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[403] final Label dateLabel = aToolkit.createLabel(basicSectionClient, "Date: ", SWT.WRAP); ^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[405] final String dateStr = dateFormat.format(selectedChangeSet.getDate()); ^^^^^^^ Discouraged access: The method 'ChangeSet.getDate()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[412] final Label messageLabel = aToolkit.createLabel(basicSectionClient, "Repository: ", SWT.WRAP); ^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[414] repositoryNameText = aToolkit.createLabel(basicSectionClient, selectedChangeSet.getRepository().getName(), ^^^^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getRepository()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[414] repositoryNameText = aToolkit.createLabel(basicSectionClient, selectedChangeSet.getRepository().getName(), ^^^^^^^ Discouraged access: The method 'ScmRepository.getName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[456] for (Change change : selectedChangeSet.getChanges()) { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[456] for (Change change : selectedChangeSet.getChanges()) { ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getChanges()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[470] private ChangeSet updateChangeSet(ChangeSet aSelectedChangeSet) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[470] private ChangeSet updateChangeSet(ChangeSet aSelectedChangeSet) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[471] String changeSetId = aSelectedChangeSet.getId(); ^^^^^ Discouraged access: The method 'ChangeSet.getId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[472] ChangeSet updatedChangeSet = null; ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[477] updatedChangeSet = connector.getChangeSet(repository, fileRevision, new NullProgressMonitor()); ^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getChangeSet(ScmRepository, IFileRevision, IProgressMonitor)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[522] messageText.setText(selectedChangeSet.getMessage()); ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getMessage()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[523] idText.setText(selectedChangeSet.getId()); ^^^^^ Discouraged access: The method 'ChangeSet.getId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[524] dateText.setText(dateFormat.format(selectedChangeSet.getDate())); // BUG! ^^^^^^^ Discouraged access: The method 'ChangeSet.getDate()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[525] authorNameText.setText(selectedChangeSet.getAuthor().getName()); ^^^^^^^^^ Discouraged access: The method 'ChangeSet.getAuthor()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[525] authorNameText.setText(selectedChangeSet.getAuthor().getName()); ^^^^^^^ Discouraged access: The method 'ScmUser.getName()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[526] authorEmailText.setText(selectedChangeSet.getAuthor().getEmail()); ^^^^^^^^^ Discouraged access: The method 'ChangeSet.getAuthor()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[526] authorEmailText.setText(selectedChangeSet.getAuthor().getEmail()); ^^^^^^^^ Discouraged access: The method 'ScmUser.getEmail()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[527] repositoryNameText.setText(selectedChangeSet.getRepository().getUrl()); ^^^^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getRepository()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[527] repositoryNameText.setText(selectedChangeSet.getRepository().getUrl()); ^^^^^^ Discouraged access: The method 'ScmRepository.getUrl()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[529] for (Change change : selectedChangeSet.getChanges()) { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[529] for (Change change : selectedChangeSet.getChanges()) { ^^^^^^^^^^ Discouraged access: The method 'ChangeSet.getChanges()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[543] public ChangeSet getChangeSet() { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[559] private String getAdjustedPath(Change aChange) { ^^^^^^ Discouraged access: The type 'Change' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[560] String path = aChange.getTarget().getPath(); ^^^^^^^^^ Discouraged access: The method 'Change.getTarget()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[560] String path = aChange.getTarget().getPath(); ^^^^^^^ Discouraged access: The method 'ScmArtifact.getPath()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[561] if (aChange.getChangeType().equals(ChangeType.DELETED)) { ^^^^^^^^^^^^^ Discouraged access: The method 'Change.getChangeType()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[561] if (aChange.getChangeType().equals(ChangeType.DELETED)) { ^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[561] if (aChange.getChangeType().equals(ChangeType.DELETED)) { ^^^^^^^ Discouraged access: The field 'ChangeType.DELETED' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[562] return "[-] " + path; ^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[563] } else if (aChange.getChangeType().equals(ChangeType.ADDED)) { ^^^^^^^^^^^^^ Discouraged access: The method 'Change.getChangeType()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[563] } else if (aChange.getChangeType().equals(ChangeType.ADDED)) { ^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeType' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[563] } else if (aChange.getChangeType().equals(ChangeType.ADDED)) { ^^^^^ Discouraged access: The field 'ChangeType.ADDED' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[564] return "[+] " + path; ^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/GetChangeSetDialog.java:[566] return " " + path; ^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[21] import org.eclipse.mylyn.versions.core.ChangeSet; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[22] import org.eclipse.mylyn.versions.core.ScmCore; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[23] import org.eclipse.mylyn.versions.core.ScmRepository; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[24] import org.eclipse.mylyn.versions.core.spi.ScmConnector; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[25] import org.eclipse.mylyn.versions.ui.spi.ScmConnectorUi; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnectorUi' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[33] public class SVNConnectorUi extends ScmConnectorUi { ^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnectorUi' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.ui/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[38] public ChangeSet getChangeSet(ScmRepository repository, IResource resource) { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[38] public ChangeSet getChangeSet(ScmRepository repository, IResource resource) { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[45] final ScmConnector scmConnector = ScmCore.getConnector(resource); ^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[45] final ScmConnector scmConnector = ScmCore.getConnector(resource); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[45] final ScmConnector scmConnector = ScmCore.getConnector(resource); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.getConnector(IResource)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[49] if (!SVNProviderPlugin.getTypeId().equals(scmConnector.getProviderId())) { ^^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getProviderId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[50] throw new RuntimeException("No Subclipse connector: " + scmConnector.getProviderId()); ^^^^^^^^^^^^^^^^^^^^^^^^^^ Non-externalized string literal; it should be followed by //$NON-NLS-<n>$ [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/org/eclipse/mylyn/internal/subclipse/ui/connector/SVNConnectorUi.java:[50] throw new RuntimeException("No Subclipse connector: " + scmConnector.getProviderId()); ^^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getProviderId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') 97 problems (97 warnings) [INFO] [INFO] --- tycho-source-plugin:1.5.0:plugin-source (attach-source) @ org.eclipse.mylyn.subclipse.ui --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/target/org.eclipse.mylyn.subclipse.ui-1.18.0-SNAPSHOT-sources.jar [INFO] [INFO] --- maven-resources-plugin:2.4.1:testResources (default-testResources) @ org.eclipse.mylyn.subclipse.ui --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/src/test/resources [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.subclipse.ui --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-plugin (default-package-plugin) @ org.eclipse.mylyn.subclipse.ui --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse.ui/target/org.eclipse.mylyn.subclipse.ui-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.subclipse.ui --- [INFO] [INFO] >>> findbugs-maven-plugin:3.0.5:check (default) > :findbugs @ org.eclipse.mylyn.subclipse.ui >>> [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:findbugs (findbugs) @ org.eclipse.mylyn.subclipse.ui --- [INFO] [INFO] <<< findbugs-maven-plugin:3.0.5:check (default) < :findbugs @ org.eclipse.mylyn.subclipse.ui <<< [INFO] [INFO] [INFO] --- findbugs-maven-plugin:3.0.5:check (default) @ org.eclipse.mylyn.subclipse.ui --- [INFO] [INFO] >>> maven-pmd-plugin:2.5:cpd-check (default) > :cpd @ org.eclipse.mylyn.subclipse.ui >>> [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd (cpd) @ org.eclipse.mylyn.subclipse.ui --- [INFO] [INFO] <<< maven-pmd-plugin:2.5:cpd-check (default) < :cpd @ org.eclipse.mylyn.subclipse.ui <<< [INFO] [INFO] [INFO] --- maven-pmd-plugin:2.5:cpd-check (default) @ org.eclipse.mylyn.subclipse.ui --- [INFO] [INFO] -------< org.eclipse.mylyn.versions:org.eclipse.mylyn.subclipse >------- [INFO] Building org.eclipse.mylyn.subclipse 1.18.0-SNAPSHOT [12/16] [INFO] --------------------------[ eclipse-feature ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.subclipse --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier-aggregator (default-build-qualifier-aggregator) @ org.eclipse.mylyn.subclipse --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.subclipse --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.subclipse --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.subclipse --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.subclipse --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-feature (default-package-feature) @ org.eclipse.mylyn.subclipse --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.subclipse-feature/target/org.eclipse.mylyn.subclipse-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.subclipse --- [INFO] [INFO] --- tycho-p2-plugin:1.5.0:feature-p2-metadata (default-feature-p2-metadata) @ org.eclipse.mylyn.subclipse --- [INFO] [INFO] -----< org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.sdk >------ [INFO] Building org.eclipse.mylyn.versions.sdk 1.18.0-SNAPSHOT [13/16] [INFO] --------------------------[ eclipse-feature ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.versions.sdk --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier-aggregator (default-build-qualifier-aggregator) @ org.eclipse.mylyn.versions.sdk --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.versions.sdk --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.versions.sdk --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.versions.sdk --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.versions.sdk --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-feature (default-package-feature) @ org.eclipse.mylyn.versions.sdk --- [INFO] Fetching com.google.guava_27.1.0.v20190517-1946.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (743.15kB) [INFO] Fetching com.google.guava_27.1.0.v20190517-1946.jar.pack.gz from http://download.eclipse.org/releases/2019-12/201912181000/plugins/ (743.15kB) [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.sdk-feature/target/org.eclipse.mylyn.versions.sdk-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.versions.sdk --- [INFO] [INFO] --- tycho-p2-plugin:1.5.0:feature-p2-metadata (default-feature-p2-metadata) @ org.eclipse.mylyn.versions.sdk --- [INFO] [INFO] -----< org.eclipse.mylyn.versions:org.eclipse.mylyn.versions-site >----- [INFO] Building Mylyn Versions 1.18.0-SNAPSHOT [14/16] [INFO] ------------------------[ eclipse-update-site ]------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.versions-site --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier (default-build-qualifier) @ org.eclipse.mylyn.versions-site --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.versions-site --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:update-site (default-update-site) @ org.eclipse.mylyn.versions-site --- [INFO] [INFO] --- tycho-p2-plugin:1.5.0:update-site-p2-metadata (default-update-site-p2-metadata) @ org.eclipse.mylyn.versions-site --- [INFO] Command line: [/opt/public/common/java/oracle/jdk1.8.0_202_x64/jre/bin/java, -jar, /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/.repository/org/eclipse/tycho/tycho-bundles-external/1.5.0/eclipse/plugins/org.eclipse.equinox.launcher_1.5.500.v20190715-1310.jar, -configuration, /tmp/genie.mylyn/tycho-p2-runtime3508695722865214570.tmp/configuration, -nosplash, -application, org.eclipse.equinox.p2.publisher.UpdateSitePublisher, -source, /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-site/target/site, -metadataRepository, file:/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-site/target/site/, -metadataRepositoryName, Mylyn Versions, -artifactRepository, file:/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-site/target/site/, -artifactRepositoryName, Mylyn Versions Artifacts, -noDefaultIUs, -compress] Picked up JAVA_TOOL_OPTIONS: -Xmx2G -Djava.io.tmpdir=/tmp/genie.mylyn -DforkCount=1 Generating metadata for .. Generation completed with success [0 seconds]. [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:update-site-packaging (default-update-site-packaging) @ org.eclipse.mylyn.versions-site --- [INFO] Building zip: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions-site/target/site.zip [INFO] [INFO] ----< org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.tests >----- [INFO] Building org.eclipse.mylyn.versions.tests 1.18.0-SNAPSHOT [15/16] [INFO] ------------------------[ eclipse-test-plugin ]------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.versions.tests --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier (default-build-qualifier) @ org.eclipse.mylyn.versions.tests --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.versions.tests --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.versions.tests --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.versions.tests --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- maven-resources-plugin:2.4.1:resources (default-resources) @ org.eclipse.mylyn.versions.tests --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/main/resources [INFO] [INFO] --- tycho-compiler-plugin:1.5.0:compile (default-compile) @ org.eclipse.mylyn.versions.tests --- [INFO] Compiling 4 source files to /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target/classes [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[18] import org.eclipse.mylyn.versions.core.spi.ScmConnector; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[28] private ScmConnector connector; ^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[37] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[37] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[37] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[38] ScmRepository other = new ScmRepository(new MockScmConnector(), REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[38] ScmRepository other = new ScmRepository(new MockScmConnector(), REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[38] ScmRepository other = new ScmRepository(new MockScmConnector(), REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[39] assertFalse(scmRepository.equals(other)); ^^^^^^ Discouraged access: The method 'ScmRepository.equals(Object)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[44] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[44] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[44] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[45] ScmRepository other = new ScmRepository(connector, REPO_NAME, REPO_URL) { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[45] ScmRepository other = new ScmRepository(connector, REPO_NAME, REPO_URL) { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[45] ScmRepository other = new ScmRepository(connector, REPO_NAME, REPO_URL) { ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[47] assertFalse(scmRepository.equals(other)); ^^^^^^ Discouraged access: The method 'ScmRepository.equals(Object)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[52] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[52] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[52] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[53] ScmRepository other = new ScmRepository(connector, "NAME2", REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[53] ScmRepository other = new ScmRepository(connector, "NAME2", REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[53] ScmRepository other = new ScmRepository(connector, "NAME2", REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[54] assertFalse(scmRepository.equals(other)); ^^^^^^ Discouraged access: The method 'ScmRepository.equals(Object)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[59] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[59] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[59] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[60] ScmRepository other = new ScmRepository(connector, REPO_NAME, ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[60] ScmRepository other = new ScmRepository(connector, REPO_NAME, ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[60] ScmRepository other = new ScmRepository(connector, REPO_NAME, ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[62] assertFalse(scmRepository.equals(other)); ^^^^^^ Discouraged access: The method 'ScmRepository.equals(Object)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[67] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[67] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[67] ScmRepository scmRepository = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[68] ScmRepository other = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[68] ScmRepository other = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[68] ScmRepository other = new ScmRepository(connector, REPO_NAME, REPO_URL); ^^^^^^^^^^^^^ Discouraged access: The constructor 'ScmRepository(ScmConnector, String, String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmRepositoryTest.java:[69] assertTrue(scmRepository.equals(other)); ^^^^^^ Discouraged access: The method 'ScmRepository.equals(Object)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[29] import org.eclipse.mylyn.commons.sdk.util.CommonTestUtil; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'CommonTestUtil' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.mylyn.commons.sdk.util/3.26.0.N20190930-2131/org.eclipse.mylyn.commons.sdk.util-3.26.0.N20190930-2131.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[30] import org.eclipse.mylyn.versions.core.spi.ScmConnector; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[43] List<ScmConnector> connectors = ScmCore.getAllRegisteredConnectors(); ^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[43] List<ScmConnector> connectors = ScmCore.getAllRegisteredConnectors(); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[43] List<ScmConnector> connectors = ScmCore.getAllRegisteredConnectors(); ^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.getAllRegisteredConnectors()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[44] for (ScmConnector connector : connectors) { ^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[45] if (MockRepositoryProvider.ID.equals(connector.getProviderId())) { ^^^^^^^^^^^^^ Discouraged access: The method 'ScmConnector.getProviderId()' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[61] ScmCore.findResource("/project1/src/org/eclipse/mylar/tests/project1/Project1Plugin.java")); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[61] ScmCore.findResource("/project1/src/org/eclipse/mylar/tests/project1/Project1Plugin.java")); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.findResource(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[63] ScmCore.findResource("project1/src/org/eclipse/mylar/tests/project1/Project1Plugin.java")); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[63] ScmCore.findResource("project1/src/org/eclipse/mylar/tests/project1/Project1Plugin.java")); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.findResource(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[75] ScmCore.findResource("/root/level1/level2/project1/src/org/eclipse/mylar/tests/project1/Project1Plugin.java")); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[75] ScmCore.findResource("/root/level1/level2/project1/src/org/eclipse/mylar/tests/project1/Project1Plugin.java")); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.findResource(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[78] ScmCore.findResource("root/level1/level2/project1/src/org/eclipse/mylar/tests/project1/Project1Plugin.java")); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[78] ScmCore.findResource("root/level1/level2/project1/src/org/eclipse/mylar/tests/project1/Project1Plugin.java")); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.findResource(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[90] ScmCore.findResource("/src/org/eclipse/mylar/tests/project2/Project2Plugin.java")); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[90] ScmCore.findResource("/src/org/eclipse/mylar/tests/project2/Project2Plugin.java")); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.findResource(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[91] assertEquals(expectedResource, ScmCore.findResource("src/org/eclipse/mylar/tests/project2/Project2Plugin.java")); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[91] assertEquals(expectedResource, ScmCore.findResource("src/org/eclipse/mylar/tests/project2/Project2Plugin.java")); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.findResource(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[97] assertNull(ScmCore.findResource("/project1/randompath")); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[97] assertNull(ScmCore.findResource("/project1/randompath")); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.findResource(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[98] assertNull(ScmCore.findResource("/2/src/org/eclipse/mylar/tests/project2/Project2Plugin.java")); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[98] assertNull(ScmCore.findResource("/2/src/org/eclipse/mylar/tests/project2/Project2Plugin.java")); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.findResource(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[99] assertNull(ScmCore.findResource("/org/eclipse/mylar/tests/project2/Project2Plugin.java")); ^^^^^^^ Discouraged access: The type 'ScmCore' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[99] assertNull(ScmCore.findResource("/org/eclipse/mylar/tests/project2/Project2Plugin.java")); ^^^^^^^^^^^^ Discouraged access: The method 'ScmCore.findResource(String)' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[110] ZipFile zip = new ZipFile(CommonTestUtil.getFile(source, "testdata/projects/" + zipFileName)); ^^^^^^^^^^^^^^ Discouraged access: The type 'CommonTestUtil' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.mylyn.commons.sdk.util/3.26.0.N20190930-2131/org.eclipse.mylyn.commons.sdk.util-3.26.0.N20190930-2131.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[110] ZipFile zip = new ZipFile(CommonTestUtil.getFile(source, "testdata/projects/" + zipFileName)); ^^^^^^^ Discouraged access: The method 'CommonTestUtil.getFile(Object, String)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.mylyn.commons.sdk.util/3.26.0.N20190930-2131/org.eclipse.mylyn.commons.sdk.util-3.26.0.N20190930-2131.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[112] CommonTestUtil.unzip(zip, project.getLocation().toFile()); ^^^^^^^^^^^^^^ Discouraged access: The type 'CommonTestUtil' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.mylyn.commons.sdk.util/3.26.0.N20190930-2131/org.eclipse.mylyn.commons.sdk.util-3.26.0.N20190930-2131.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/core/ScmCoreTest.java:[112] CommonTestUtil.unzip(zip, project.getLocation().toFile()); ^^^^^ Discouraged access: The method 'CommonTestUtil.unzip(ZipFile, File)' is not API (restriction on classpath entry '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.mylyn.commons.sdk.util/3.26.0.N20190930-2131/org.eclipse.mylyn.commons.sdk.util-3.26.0.N20190930-2131.jar') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[20] import org.eclipse.mylyn.versions.core.ChangeSet; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[21] import org.eclipse.mylyn.versions.core.ScmArtifact; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[22] import org.eclipse.mylyn.versions.core.ScmRepository; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[23] import org.eclipse.mylyn.versions.core.spi.ScmConnector; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[29] public class MockScmConnector extends ScmConnector { ^^^^^^^^^^^^ Discouraged access: The type 'ScmConnector' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[35] public ScmArtifact getArtifact(IResource resource, String revision) throws CoreException { ^^^^^^^^^^^ Discouraged access: The type 'ScmArtifact' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[41] public ChangeSet getChangeSet(ScmRepository repository, IFileRevision revision, IProgressMonitor monitor) ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[41] public ChangeSet getChangeSet(ScmRepository repository, IFileRevision revision, IProgressMonitor monitor) ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[48] public List<ChangeSet> getChangeSets(ScmRepository repository, IProgressMonitor monitor) throws CoreException { ^^^^^^^^^ Discouraged access: The type 'ChangeSet' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[48] public List<ChangeSet> getChangeSets(ScmRepository repository, IProgressMonitor monitor) throws CoreException { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[58] public List<ScmRepository> getRepositories(IProgressMonitor monitor) throws CoreException { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') [WARNING] /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/org/eclipse/mylyn/versions/tests/support/MockScmConnector.java:[63] public ScmRepository getRepository(IResource resource, IProgressMonitor monitor) throws CoreException { ^^^^^^^^^^^^^ Discouraged access: The type 'ScmRepository' is not API (restriction on classpath entry '/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.core/target/classes') 78 problems (78 warnings) [INFO] [INFO] --- tycho-source-plugin:1.5.0:plugin-source (attach-source) @ org.eclipse.mylyn.versions.tests --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target/org.eclipse.mylyn.versions.tests-1.18.0-SNAPSHOT-sources.jar [INFO] [INFO] --- maven-resources-plugin:2.4.1:testResources (default-testResources) @ org.eclipse.mylyn.versions.tests --- [INFO] Using 'ISO-8859-1' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/src/test/resources [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.versions.tests --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-plugin (default-package-plugin) @ org.eclipse.mylyn.versions.tests --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target/org.eclipse.mylyn.versions.tests-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.versions.tests --- [INFO] [INFO] --- tycho-surefire-plugin:1.5.0:test (default-test) @ org.eclipse.mylyn.versions.tests --- [INFO] Expected eclipse log file: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target/work/data/.metadata/.log [INFO] Command line: [/opt/public/common/java/oracle/jdk1.8.0_202_x64/jre/bin/java, -Dosgi.noShutdown=false, -Dosgi.os=linux, -Dosgi.ws=gtk, -Dosgi.arch=x86_64, -Xmx512m, -Djava.io.tmpdir=/jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target, -ea, -Dmylyn.credentials=/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.credentials.properties, -Dorg.eclipse.mylyn.wikitext.tests.disableOutput=true, -Dhttp.proxyHost=proxy.eclipse.org, -Dhttp.proxyPort=9898, -Dhttps.proxyHost=proxy.eclipse.org, -Dhttps.proxyPort=9898, -Dhttp.nonProxyHosts=*.eclipse.org, -Dosgi.clean=true, -jar, /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/.repository/p2/osgi/bundle/org.eclipse.equinox.launcher/1.5.600.v20191014-2022/org.eclipse.equinox.launcher-1.5.600.v20191014-2022.jar, -data, /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target/work/data, -install, /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target/work, -configuration, /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target/work/configuration, -application, org.eclipse.tycho.surefire.osgibooter.uitest, -testproperties, /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target/surefire.properties, -testApplication, org.eclipse.ui.ide.workbench, -product, org.eclipse.sdk.ide, -eclipse.keyring, /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.tests/target/.eclipse.keyring, -eclipse.password, /home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace/.secret, -timeout, 10800000] Picked up JAVA_TOOL_OPTIONS: -Xmx2G -Djava.io.tmpdir=/tmp/genie.mylyn -DforkCount=1 Launching application org.eclipse.ui.ide.workbench... Running org.eclipse.mylyn.versions.core.ScmRepositoryTest Tests run: 5, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.028 s - in org.eclipse.mylyn.versions.core.ScmRepositoryTest differentConnectorAreNotEqual(org.eclipse.mylyn.versions.core.ScmRepositoryTest) Time elapsed: 0.001 s sameFieldsButDifferentClassIsNotEqual(org.eclipse.mylyn.versions.core.ScmRepositoryTest) Time elapsed: 0.001 s differentUrlIsNotEqual(org.eclipse.mylyn.versions.core.ScmRepositoryTest) Time elapsed: 0 s sameFieldsAndClassIsEqual(org.eclipse.mylyn.versions.core.ScmRepositoryTest) Time elapsed: 0 s differentNameIsNotEqual(org.eclipse.mylyn.versions.core.ScmRepositoryTest) Time elapsed: 0 s Running org.eclipse.mylyn.versions.core.ScmCoreTest Tests run: 5, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.482 s - in org.eclipse.mylyn.versions.core.ScmCoreTest testGetResourceFromProject(org.eclipse.mylyn.versions.core.ScmCoreTest) Time elapsed: 0.141 s testMockConnectorPresent(org.eclipse.mylyn.versions.core.ScmCoreTest) Time elapsed: 0 s testGetResourcePathChild(org.eclipse.mylyn.versions.core.ScmCoreTest) Time elapsed: 0.031 s testGetResourceCannotFind(org.eclipse.mylyn.versions.core.ScmCoreTest) Time elapsed: 0.153 s testGetResource(org.eclipse.mylyn.versions.core.ScmCoreTest) Time elapsed: 0.155 s Results: Tests run: 10, Failures: 0, Errors: 0, Skipped: 0 [INFO] All tests passed! [INFO] [INFO] --< org.eclipse.mylyn.versions:org.eclipse.mylyn.versions.development >-- [INFO] Building org.eclipse.mylyn.versions.development 1.18.0-SNAPSHOT [16/16] [INFO] --------------------------[ eclipse-feature ]--------------------------- [INFO] [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ org.eclipse.mylyn.versions.development --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:build-qualifier-aggregator (default-build-qualifier-aggregator) @ org.eclipse.mylyn.versions.development --- [INFO] The project's OSGi version is 1.18.0.N20191014-0842 [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-id (default-validate-id) @ org.eclipse.mylyn.versions.development --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:validate-version (default-validate-version) @ org.eclipse.mylyn.versions.development --- [INFO] [INFO] --- jacoco-maven-plugin:0.5.6.201201232323:prepare-agent (default) @ org.eclipse.mylyn.versions.development --- [INFO] Skipping JaCoCo execution [INFO] [INFO] --- target-platform-configuration:1.5.0:target-platform (default-target-platform) @ org.eclipse.mylyn.versions.development --- [INFO] [INFO] --- tycho-packaging-plugin:1.5.0:package-feature (default-package-feature) @ org.eclipse.mylyn.versions.development --- [INFO] Building jar: /jobs/genie.mylyn/gerrit-mylyn-versions/workspace/org.eclipse.mylyn.versions.development-feature/target/org.eclipse.mylyn.versions.development-1.18.0-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:1.5.0:p2-metadata-default (default-p2-metadata-default) @ org.eclipse.mylyn.versions.development --- [INFO] [INFO] --- tycho-p2-plugin:1.5.0:feature-p2-metadata (default-feature-p2-metadata) @ org.eclipse.mylyn.versions.development --- [INFO] ------------------------------------------------------------------------ [INFO] Reactor Summary for Mylyn Versions 1.18.0-SNAPSHOT: [INFO] [INFO] Mylyn Versions ..................................... SUCCESS [ 1.720 s] [INFO] org.eclipse.mylyn.versions.core .................... SUCCESS [ 7.991 s] [INFO] org.eclipse.mylyn.cvs.core ......................... SUCCESS [ 0.627 s] [INFO] org.eclipse.mylyn.versions.ui ...................... SUCCESS [ 0.431 s] [INFO] org.eclipse.mylyn.versions ......................... SUCCESS [ 0.165 s] [INFO] org.eclipse.mylyn.cvs .............................. SUCCESS [ 0.067 s] [INFO] org.eclipse.mylyn.git.core ......................... SUCCESS [ 0.414 s] [INFO] org.eclipse.mylyn.git.ui ........................... SUCCESS [ 0.348 s] [INFO] org.eclipse.mylyn.git .............................. SUCCESS [ 0.070 s] [INFO] org.eclipse.mylyn.subclipse.core ................... SUCCESS [ 0.230 s] [INFO] org.eclipse.mylyn.subclipse.ui ..................... SUCCESS [ 0.284 s] [INFO] org.eclipse.mylyn.subclipse ........................ SUCCESS [ 0.098 s] [INFO] org.eclipse.mylyn.versions.sdk ..................... SUCCESS [ 1.053 s] [INFO] Mylyn Versions ..................................... SUCCESS [ 2.606 s] [INFO] org.eclipse.mylyn.versions.tests ................... SUCCESS [ 9.552 s] [INFO] org.eclipse.mylyn.versions.development ............. SUCCESS [ 0.116 s] [INFO] ------------------------------------------------------------------------ [INFO] BUILD SUCCESS [INFO] ------------------------------------------------------------------------ [INFO] Total time: 01:45 min [INFO] Finished at: 2020-07-19T07:32:48-04:00 [INFO] ------------------------------------------------------------------------ Terminating xvnc. INFO: Starting to record. INFO: Processing JUnit INFO: [JUnit] - 2 test report file(s) were found with the pattern '**/target/surefire-reports/*.xml' relative to '/home/hudson/genie.mylyn/.jenkins/jobs/gerrit-mylyn-versions/workspace' for the testing framework 'JUnit'. INFO: Check 'Failed Tests' threshold. INFO: Check 'Skipped Tests' threshold. INFO: Setting the build status to SUCCESS INFO: Stopping recording. Started calculate disk usage of build Finished Calculation of disk usage of build in 0 seconds Started calculate disk usage of workspace Finished Calculation of disk usage of workspace in 0 seconds Finished: SUCCESS